﻿//Fix getComputedStyle for IE8 and older
if (!window.getComputedStyle) {
	window.getComputedStyle = function(el, pseudo) {
		this.el = el;
		this.getPropertyValue = function(prop) {
			var re = /(\-([a-z]){1})/g;
			if (prop == 'float') prop = 'styleFloat';
			if (re.test(prop)) {
				prop = prop.replace(re, function () {
					return arguments[2].toUpperCase();
				});
			}
			return el.currentStyle[prop] ? el.currentStyle[prop] : null;
		}
		return this;
	}
}

var jsonp_finished = false;
var expandBlockReady = false;
var fadeInBlockReady = false;
var fadeOutBlockReady = false;
var fadeInProductReady = false;
var fadeOutProductReady = false;
var fadeInDisclaimerReady = false;
var fadeOutDisclaimerReady = false;
var fadeInStickerReady = false;
var fadeOutStickerReady = false;

//Function to insert JSONP content
function jsonp(jsonpObject){
	//get clickTag from URL
	var clickTag = window.location.search.split('clickTag=')[1].toString();
	//define products section in JSONP
	var products = jsonpObject.products.product;
	//loop over each product in the products section
	for(var key in products){
		//define which section to use from the product to retrieve the actual content
		var useSection = products[key].content.optional.sections.en;
		//put JSONP content in variables
		var clickout = clickTag + useSection.clickurl;
		var imgurl = useSection.imgurl;
		var headline = document.createTextNode(useSection.title);
		var description = document.createTextNode(useSection.description);
		var title = document.createTextNode(useSection.title);
		var price = document.createTextNode(useSection.price);
		var price_decimal = document.createTextNode(useSection.price2);
		var plan = document.createTextNode("im Tarif " + useSection.plan);
		var footnote = document.createTextNode(useSection.footnote);
		//assign JSONP content to the corresponding HTML fields
		document.getElementById('product_' + key).href = clickout;
		document.getElementById('product_img_' + key).src = imgurl;
		document.getElementById('headline_' + key).appendChild(headline);
		document.getElementById('description_' + key).appendChild(description);
		document.getElementById('product_title_' + key).appendChild(title);
		document.getElementById('price_int_' + key).appendChild(price);
		document.getElementById('price_decimal_' + key).appendChild(price_decimal);
		//check price_decimal and do resizing if necessary
		if(document.getElementById('price_decimal_' + key).innerHTML == '-'){
			document.getElementById('price_decimal_' + key).style.fontSize = '44px';
			document.getElementById('price_decimal_' + key).style.marginTop = '-5px';
		}
		document.getElementById('subtitle_line_' + key + '_1').appendChild(plan);
		document.getElementById('disclaimer_' + key).appendChild(footnote);
		//count words in disclaimer and adjust font size if > 100 words
		if(document.getElementById('disclaimer_' + key).innerHTML.split(' ').length >= 100){
			document.getElementById('disclaimer_' + key).style.fontSize = '10px';
			document.getElementById('disclaimer_' + key).style.lineHeight = '10px';
		}
		//create sticker once based on first product
		if(key == 1){
			//var sticker_headline = document.createTextNode(useSection.stickertext);
			//var sticker_text = document.createTextNode(useSection.stickertext2);
			var sticker_src = 'img/aktion.jpg'; //useSection.stickersrc
			document.getElementById('sticker_frame').href = clickout;
			//document.getElementById('sticker_headline').appendChild(sticker_headline);
			//document.getElementById('sticker_description').appendChild(sticker_text);
			document.getElementById('sticker_img').src = sticker_src;
		}


		//check height for subtitle
		var subtitleHeight = (getComputedStyle(document.getElementById('subtitle_line_' + key + '_1')).getPropertyValue('height')).split('px')[0];
		if(subtitleHeight >= 30){
			//prefix position
			document.getElementById('price_prefix_' + key).style.top = '57px';
			//price position
			document.getElementById('price_wrapper_' + key).style.top = '75px';
			//price size
			document.getElementById('price_int_' + key).style.fontSize = (getComputedStyle(document.getElementById('price_int_' + key)).getPropertyValue('font-size').split('px')[0] - 6) + 'px';
			document.getElementById('price_decimal_' + key).style.fontSize = (getComputedStyle(document.getElementById('price_decimal_' + key)).getPropertyValue('font-size').split('px')[0] - 6) + 'px';
			document.getElementById('price_currency_' + key).style.fontSize = (getComputedStyle(document.getElementById('price_currency_' + key)).getPropertyValue('font-size').split('px')[0] - 6) + 'px';
			//subtitle position
			document.getElementById('subtitle_line_' + key + '_1').style.top = '116px';
		}
	}//END FOR LOOP
	//tell other functions JSONP has finished loading
	jsonp_finished = true;
}

//function to fade in the logo
function fadeInLogo(){
	//define location of the logo
	var logo = document.getElementById('telekom_logo');
	//define the current opacity of the logo as 0
	var currentOpacityLogo = 0;
	//create an interval to slowly fade in the logo
	doFadeInLogo = setInterval(function(){
		//add 0.015 to the logo opacity on each iteration, filter is for IE
		currentOpacityLogo = parseFloat(currentOpacityLogo) + 0.015;
		logo.style.opacity = currentOpacityLogo;
		logo.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityLogo*100) +')';
		//check if logo opacity is 1 or higher and kill the interval
		if(parseFloat(currentOpacityLogo) >= 1){
			clearInterval(doFadeInLogo);
			logo.style.opacity = 1;
			logo.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
		}
	},25);
}

//function to insert the branding blocks
function insertBlocks(product){
	//define blocks as variables
	var product_frame = document.getElementById('product_' + product);
	var frame = document.getElementById('frame_' + product + '_0');
	var block_1 = document.getElementById('block_' + product + '_1')
	var block_2 = document.getElementById('block_' + product + '_2')
	var block_3 = document.getElementById('block_' + product + '_3')
	var block_text = document.getElementById('telekom_block_text_' + product);
	//set variables for max width and height of block expansion
	var maxWidth = document.getElementById('wrapper').offsetWidth - 20;
	var maxHeight = document.getElementById('wrapper').offsetHeight/2 -10;
	//define current opacity as 0 and set expanded status to false
	var currentOpacityBlock = 0;
	var currentOpacityBlockText = 0;
	var block_1_expanded = false;
	var block_2_expanded = false;
	var block_3_expanded = false;
	//put frame in view
	product_frame.style.top = '0';
	frame.style.top = '0';
	//expand the blocks stepwise through an interval
	var i = 0;
	expandBlockReady = false;
	expandBlocks = setInterval(function(){
		//if all blocks are ready with expanding kill the interval
		if(block_1_expanded == true && block_2_expanded == true && block_3_expanded == true){
			clearInterval(expandBlocks);
			expandBlockReady = product;
		}else{//start expanding blocks
			i++;
			//expansion for block_1
			if(block_1.offsetWidth >= maxWidth && block_1.offsetHeight >= maxHeight-15){
				block_1_expanded = true;
			}else{
				if(block_1.offsetWidth < maxWidth){
					block_1.style.width = (block_1.offsetWidth + 6) + 'px';
				}
				if(block_1.offsetHeight < maxHeight-15){
					block_1.style.height = (block_1.offsetHeight + 2) + 'px';
				}
			}
			//expansion for block_2 starts after 10 instances of block 1
			if(block_2.offsetWidth >= maxWidth-15 && block_2.offsetHeight >= maxHeight-30){
				block_2_expanded = true;
			}else{
				if(block_2.offsetWidth < maxWidth-15 && i>10){
					block_2.style.width = (block_2.offsetWidth + 6) + 'px';
				}
				if(block_2.offsetHeight < maxHeight-30 && i>10){
					block_2.style.height = (block_2.offsetHeight + 2) + 'px';
				}
			}
			//expansion for block_3 starts after 10 instances of block 1
			if(block_3.offsetWidth >= maxWidth-30 && block_3.offsetHeight >= maxHeight){
				block_3_expanded = true;
			}else{
				if(block_3.offsetWidth < maxWidth-30 && i>10){
					block_3.style.width = (block_3.offsetWidth + 6) + 'px';
				}
				if(block_3.offsetHeight < maxHeight && i>10){
					block_3.style.height = (block_3.offsetHeight + 2) + 'px';
				}
			}
		}
	},25);
	//fade in the blocks gradually through an interval
	fadeInBlockReady = false;
	fadeInBlock = setInterval(function(){
		//if blocks are at 50% opacity and text is at 100% kill the interval and set opacities to exact values
		if(parseFloat(currentOpacityBlock) >= 0.5 && parseFloat(currentOpacityBlockText) >= 1){
			clearInterval(fadeInBlock);
			fadeInBlockReady = product;
			block_text.style.opacity = 1;
			block_text.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			block_1.style.opacity = 0.5;
			block_1.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=50)';
			block_2.style.opacity = 1;
			block_2.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			block_3.style.opacity = 0.5;
			block_3.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=50)';
		}else{//start fading in the blocks and text
			if(currentOpacityBlockText < 1){
				currentOpacityBlockText = parseFloat(currentOpacityBlockText) + 0.02;
				block_text.style.opacity = currentOpacityBlockText;
				block_text.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityBlockText*100) +')';
			}
			if(currentOpacityBlock < 0.5){
				currentOpacityBlock = parseFloat(currentOpacityBlock) + 0.02;
				block_1.style.opacity = currentOpacityBlock;
				block_1.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityBlock*100) +')';
				block_2.style.opacity = currentOpacityBlock*2;
				block_2.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ ((currentOpacityBlock*2)*100) +')';
				block_3.style.opacity = currentOpacityBlock;
				block_3.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityBlock*100) +')';
			}
		}
	},25);
}

//Blocks out
function fadeOutBlocks(product){
	//define blocks as variables
	var frame = document.getElementById('frame_' + product + '_0');
	var block_1 = document.getElementById('block_' + product + '_1')
	var block_2 = document.getElementById('block_' + product + '_2')
	var block_3 = document.getElementById('block_' + product + '_3')
	var block_text = document.getElementById('telekom_block_text_' + product);
	//define current opacity as 0.5 / 1 and set expanded status to true
	var currentOpacityBlock = 0.5;
	var currentOpacityBlockText = 1;
	var block_1_retracted = false;
	var block_2_retracted = false;
	var block_3_retracted = false;
	//retract the blocks stepwise through an interval
	var i = 0;
	retractBlockReady = false;
	retractBlocks = setInterval(function(){
		//if all blocks are ready with retracting kill the interval
		if(block_1_retracted == true && block_2_retracted == true && block_3_retracted == true){
			clearInterval(retractBlocks);
			retractBlockReady = product;
		}else{//start retracting blocks
			i++;
			//retraction for block_1 starts after 10 instances of block 2 / 3
			if(block_1.offsetWidth < 12 && block_1.offsetHeight < 4){
				block_1_retracted = true;
			}else{
				if(block_1.offsetWidth >= 12 && i>10){
					block_1.style.width = (block_1.offsetWidth - 12) + 'px';
				}
				if(block_1.offsetHeight >= 4 && i>10){
					block_1.style.height = (block_1.offsetHeight - 4) + 'px';
				}
			}
			//retraction for block_2
			if(block_2.offsetWidth < 12 && block_2.offsetHeight < 4){
				block_2_retracted = true;
			}else{
				if(block_2.offsetWidth >= 12){
					block_2.style.width = (block_2.offsetWidth - 12) + 'px';
				}
				if(block_2.offsetHeight >= 4){
					block_2.style.height = (block_2.offsetHeight - 4) + 'px';
				}
			}
			//retraction for block_3
			if(block_3.offsetWidth < 12 && block_3.offsetHeight < 4){
				block_3_retracted = true;
			}else{
				if(block_3.offsetWidth >= 12){
					block_3.style.width = (block_3.offsetWidth - 12) + 'px';
				}
				if(block_3.offsetHeight >= 4){
					block_3.style.height = (block_3.offsetHeight - 4) + 'px';
				}
			}
		}
	},25);
	//fade out the blocks gradually through an interval
	fadeOutBlockReady = false;
	doFadeOutBlocks = setInterval(function(){
		//if blocks are at 0 opacity  kill the interval, set opacities to exact values and retract blocks to starting position
		if(block_1.style.width.split('px')[0] < 10 && currentOpacityBlockText <= 0){
			clearInterval(doFadeOutBlocks);
			fadeOutBlockReady = product;
			block_1.style.width = '0px';
			block_1.style.height = '0px';
			block_2.style.width = '0px';
			block_2.style.height = '0px';
			block_3.style.width = '0px';
			block_3.style.height = '0px';
			block_1.style.opacity = 0;
			block_1.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			block_2.style.opacity = 0;
			block_2.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			block_3.style.opacity = 0;
			block_3.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			block_text.style.opacity = 0;
			block_text.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			//put frame out of view
			frame.style.top = '250px';
		}else{//fade out blocks
			//currentOpacityBlock = parseFloat(currentOpacityBlock) - 0.02;
			currentOpacityBlockText = parseFloat(currentOpacityBlockText) - 0.04;
			//block_1.style.opacity = currentOpacityBlock;
			//block_1.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityBlock*100) +')';
			//block_2.style.opacity = currentOpacityBlock;
			//block_2.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityBlock*100) +')';
			//block_3.style.opacity = currentOpacityBlock;
			//block_3.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityBlock*100) +')';
			block_text.style.opacity = currentOpacityBlockText;
			block_text.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityBlockText*100) +')';
		}
	},25);
}

//function to fade in the product information
function fadeInProduct(product){
	//define elements as variables
	var frame = document.getElementById('frame_' + product + '_1');
	var productImage = document.getElementById('product_img_' + product);
	var productTitle = document.getElementById('product_title_' + product);
	var productPrefix = document.getElementById('price_prefix_' + product);
	var productPriceInt = document.getElementById('price_int_' + product);
	var productPriceDecimal = document.getElementById('price_decimal_' + product);
	var productPriceCurrency = document.getElementById('price_currency_' + product);
	var productPriceAsterisk = document.getElementById('price_asterisk_' + product);
	var productSubtitle_1 = document.getElementById('subtitle_line_' + product + '_1');
	var productCta = document.getElementById('cta_button_' + product);
	//define current opacity as 0
	var currentOpacityProduct = 0;
	//put frame in view
	frame.style.top = '0';
	//fade in the product info gradually through an interval
	fadeInProductReady = false;
	doFadeInProduct = setInterval(function(){
		//if product info is at 100% opacity kill the interval and set opacities to exact values
		if(parseFloat(currentOpacityProduct) >= 1){
			clearInterval(doFadeInProduct);
			fadeInProductReady = product;
			productImage.style.opacity = 1;
			productImage.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productTitle.style.opacity = 1;
			productTitle.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productPrefix.style.opacity = 1;
			productPrefix.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productPriceInt.style.opacity = 1;
			productPriceInt.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productPriceDecimal.style.opacity = 1;
			productPriceDecimal.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productPriceCurrency.style.opacity = 1;
			productPriceCurrency.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productPriceAsterisk.style.opacity = 1;
			productPriceAsterisk.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productSubtitle_1.style.opacity = 1;
			productSubtitle_1.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productCta.style.opacity = 1;
			productCta.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
		}else{//fade in the product info
			currentOpacityProduct = parseFloat(currentOpacityProduct) + 0.02;
			productImage.style.opacity = currentOpacityProduct;
			productImage.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productTitle.style.opacity = currentOpacityProduct;
			productTitle.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPrefix.style.opacity = currentOpacityProduct;
			productPrefix.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPriceInt.style.opacity = currentOpacityProduct;
			productPriceInt.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPriceDecimal.style.opacity = currentOpacityProduct;
			productPriceDecimal.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPriceCurrency.style.opacity = currentOpacityProduct;
			productPriceCurrency.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPriceAsterisk.style.opacity = currentOpacityProduct;
			productPriceAsterisk.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productSubtitle_1.style.opacity = currentOpacityProduct;
			productSubtitle_1.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productCta.style.opacity = currentOpacityProduct;
			productCta.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
		}
	},25);
}

//function to fade out the product information
function fadeOutProduct(product){
	//define elements as variables
	var product_frame = document.getElementById('product_' + product);
	var frame = document.getElementById('frame_' + product + '_1');
	var productImage = document.getElementById('product_img_' + product);
	var productTitle = document.getElementById('product_title_' + product);
	var productPrefix = document.getElementById('price_prefix_' + product);
	var productPriceInt = document.getElementById('price_int_' + product);
	var productPriceDecimal = document.getElementById('price_decimal_' + product);
	var productPriceCurrency = document.getElementById('price_currency_' + product);
	var productPriceAsterisk = document.getElementById('price_asterisk_' + product);
	var productSubtitle_1 = document.getElementById('subtitle_line_' + product + '_1');
	var productCta = document.getElementById('cta_button_' + product);
	//define current opacity as 1
	var currentOpacityProduct = 1;
	//fade out the product info gradually through an interval
	fadeOutProductReady = false;
	doFadeOutProduct = setInterval(function(){
		//if product info is at 0 opacity kill the interval and set opacities to exact values
		if(currentOpacityProduct <= 0){
			clearInterval(doFadeOutProduct);
			fadeOutProductReady = product;
			product_frame.style.top = '250px';
			frame.style.top = '250px';
			productImage.style.opacity = 0;
			productImage.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productTitle.style.opacity = 0;
			productTitle.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productPrefix.style.opacity = 0;
			productPrefix.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productPriceInt.style.opacity = 0;
			productPriceInt.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productPriceDecimal.style.opacity = 0;
			productPriceDecimal.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productPriceCurrency.style.opacity = 0;
			productPriceCurrency.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productPriceAsterisk.style.opacity = 0;
			productPriceAsterisk.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productSubtitle_1.style.opacity = 0;
			productSubtitle_1.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productCta.style.opacity = 0;
			productCta.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
		}else{
			currentOpacityProduct = parseFloat(currentOpacityProduct) - 0.04;
			productImage.style.opacity = currentOpacityProduct;
			productImage.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productTitle.style.opacity = currentOpacityProduct;
			productTitle.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPrefix.style.opacity = currentOpacityProduct;
			productPrefix.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPriceInt.style.opacity = currentOpacityProduct;
			productPriceInt.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPriceDecimal.style.opacity = currentOpacityProduct;
			productPriceDecimal.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPriceCurrency.style.opacity = currentOpacityProduct;
			productPriceCurrency.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productPriceAsterisk.style.opacity = currentOpacityProduct;
			productPriceAsterisk.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productSubtitle_1.style.opacity = currentOpacityProduct;
			productSubtitle_1.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
			productCta.style.opacity = currentOpacityProduct;
			productCta.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityProduct*100) +')';
		}
	},25);
}

//function to fade in the disclaimer
function fadeInDisclaimer(product){
	resetValues();
	//define elements as variables
	var disclaimer = document.getElementById('disclaimer_' + product);
	//define current opacity as 0
	var currentOpacityDisclaimer = 0;
	//put disclaimer in view
	disclaimer.style.top = '10px';
	disclaimer.style.left = '10px';
	//fade in the disclaimer gradually through an interval
	fadeInDisclaimerReady = false;
	var i = 0;
	doFadeInDisclaimer = setInterval(function(){
		//if disclaimer is at 100% opacity kill the interval and set opacities to exact values
		if(parseFloat(currentOpacityDisclaimer) >= 1){
			i++;
			if(i>3){
				clearInterval(doFadeInDisclaimer);
				fadeInDisclaimerReady = product;
				fadeOutDisclaimer(product);
				disclaimer.style.opacity = 1;
				disclaimer.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			}
		}else{
			currentOpacityDisclaimer = parseFloat(currentOpacityDisclaimer) + 0.02;
			disclaimer.style.opacity = currentOpacityDisclaimer;
			disclaimer.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityDisclaimer*100) +')';
		}
	},25);
}

//function to fade out the disclaimer
function fadeOutDisclaimer(product){
	document.getElementById('product_' + product).style.top = 0;
	fadeInProduct(product);
	//define elements as variables
	var disclaimer = document.getElementById('disclaimer_' + product);
	//define current opacity as 1
	var currentOpacityDisclaimer = 1;
	//fade out the disclaimer gradually through an interval
	fadeOutDisclaimerReady = false;
	doFadeOutDisclaimer = setInterval(function(){
		//if disclaimer is at 0 opacity kill the interval and set opacities to exact values
		if(parseFloat(currentOpacityDisclaimer) <= 0){
			clearInterval(doFadeOutDisclaimer);
			fadeOutDisclaimerReady = product;
			disclaimer.style.top = '250px';
			disclaimer.style.left = '10px';
			disclaimer.style.opacity = 0;
			disclaimer.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
		}else{
			currentOpacityDisclaimer = parseFloat(currentOpacityDisclaimer) - 0.04;
			disclaimer.style.opacity = currentOpacityDisclaimer;
			disclaimer.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacityDisclaimer*100) +')';
		}
	},25);
}

//function to fade in the sticker
function fadeInSticker(){
	//define elements as variables
	var sticker_frame = document.getElementById('sticker_frame');
	var sticker = document.getElementById('sticker');
	var stickerImage = document.getElementById('sticker_img');
	var productCta = document.getElementById('cta_button_3');
	/*var stickerHeadline = document.getElementById('sticker_headline');
	var stickerDescription = document.getElementById('sticker_description');*/
	//define current opacity as 0
	var currentOpacitySticker = 0;
	//put elements in view
	sticker_frame.style.top = '1px';
	sticker_frame.style.left = '1px';
	//fade in the sticker gradually through an interval
	fadeInStickerReady = false;
	doFadeInSticker = setInterval(function(){
		//if sticker is at 100% opacity kill the interval and set opacities to exact values
		if(parseFloat(currentOpacitySticker) >= 1){
			clearInterval(doFadeInSticker);
			fadeInStickerReady = true;
			sticker.style.opacity = 1;
			sticker.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			stickerImage.style.opacity = 1;
			stickerImage.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			productCta.style.opacity = 1;
			productCta.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			/*stickerHeadline.style.opacity = 1;
			stickerHeadline.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';
			stickerDescription.style.opacity = 1;
			stickerDescription.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=100)';8?*/
		}else{
			currentOpacitySticker = parseFloat(currentOpacitySticker) + 0.02;
			sticker.style.opacity = currentOpacitySticker;
			sticker.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';
			stickerImage.style.opacity = currentOpacitySticker;
			stickerImage.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';
			productCta.style.opacity = currentOpacitySticker;
			productCta.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';
			/*stickerHeadline.style.opacity = currentOpacitySticker;
			stickerHeadline.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';
			stickerDescription.style.opacity = currentOpacitySticker;
			stickerDescription.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';*/
		}
	},25);
}

//function to fade out the sticker
function fadeOutSticker(){
	//define elements as variables
	var sticker_frame = document.getElementById('sticker_frame');
	var sticker = document.getElementById('sticker');
	var stickerImage = document.getElementById('sticker_img');
	var productCta = document.getElementById('cta_button_3');
	/*var stickerHeadline = document.getElementById('sticker_headline');
	var stickerDescription = document.getElementById('sticker_description');*/
	//define current opacity as 1
	var currentOpacitySticker = 1;
	//fade out the sticker gradually through an interval
	fadeOutStickerReady = false;
	doFadeOutSticker = setInterval(function(){
		//if sticker is at 0 opacity kill the interval and set opacities to exact values
		if(parseFloat(currentOpacitySticker) <= 0){
			clearInterval(doFadeOutSticker);
			fadeOutStickerReady = true;
			sticker_frame.style.top = '250px';
			sticker.style.opacity = 0;
			sticker.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			stickerImage.style.opacity = 0;
			stickerImage.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			productCta.style.opacity = 0;
			productCta.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			/*stickerHeadline.style.opacity = 0;
			stickerHeadline.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
			stickerDescription.style.opacity = 0;
			stickerDescription.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';*/
		}else{
			currentOpacitySticker = parseFloat(currentOpacitySticker) - 0.04;
			sticker.style.opacity = currentOpacitySticker;
			sticker.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';
			stickerImage.style.opacity = currentOpacitySticker;
			stickerImage.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';
			productCta.style.opacity = currentOpacitySticker;
			productCta.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';
			/*stickerHeadline.style.opacity = currentOpacitySticker;
			stickerHeadline.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';
			stickerDescription.style.opacity = currentOpacitySticker;
			stickerDescription.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity='+ (currentOpacitySticker*100) +')';*/
		}
	},25);
}

function shineCta(product, status){
	var cta_button = document.getElementById('cta_button_' + product);
	//cta_button.style.backgroundColor = '#AE276E';
	cta_button.style.top = '162px';
	if(status == 'end'){
		//cta_button.style.backgroundColor = '#E20074';
		cta_button.style.top = '160px';
	}
}

function bounceCta(product){
	var cta_button = document.getElementById('cta_button_' + product);
	var currentTop = 160;
	var currentLeft = 125;
	var currentWidth = 125;
	var currentHeight = 30;
	var fontSize = 16;
	var lineHeight = 28;
	var i = 0;
	doBounce = setInterval(function(){
		if(i > 10){
			clearInterval(doBounce);
			cta_button.style.top = '160px';
			cta_button.style.left = '125px';
			cta_button.style.width = '125px';
			cta_button.style.height = '30px';
			cta_button.style.fontSize = '20px';
			cta_button.style.lineHeight = '28px';
		}
		if(i > 5){
			currentTop = currentTop - 0.5;
			currentLeft = currentLeft - 0.5;
			currentWidth = currentWidth + 1;
			currentHeight = currentHeight + 1;
			fontSize = fontSize + 0.5;
			lineHeight = lineHeight + 0.5;
			cta_button.style.top = (currentTop) + 'px';
			cta_button.style.left = (currentLeft) + 'px';
			cta_button.style.width = (currentWidth) + 'px';
			cta_button.style.height = (currentHeight) + 'px';
			cta_button.style.fontSize = (fontSize) + 'px';
			cta_button.style.lineHeight = (lineHeight) + 'px';
		}else{
			currentTop = currentTop + 0.5;
			currentLeft = currentLeft + 0.5;
			currentWidth = currentWidth - 1;
			currentHeight = currentHeight - 1;
			fontSize = fontSize - 0.5;
			lineHeight = lineHeight - 0.5;
			cta_button.style.top = (currentTop) + 'px';
			cta_button.style.left = (currentLeft) + 'px';
			cta_button.style.width = (currentWidth) + 'px';
			cta_button.style.height = (currentHeight) + 'px';
			cta_button.style.fontSize = (fontSize) + 'px';
			cta_button.style.lineHeight = (lineHeight) + 'px';
		}
		i++;
	},25);
}

function resetValues(disclaimer){
	document.getElementById('block_1_1').style.opacity = 0;
	document.getElementById('block_1_2').style.opacity = 0;
	document.getElementById('block_1_3').style.opacity = 0;
	document.getElementById('telekom_block_text_1').style.opacity = 0;
	document.getElementById('product_img_1').style.opacity = 0;
	document.getElementById('product_title_1').style.opacity = 0;
	document.getElementById('price_prefix_1').style.opacity = 0;
	document.getElementById('price_int_1').style.opacity = 0;
	document.getElementById('price_decimal_1').style.opacity = 0;
	document.getElementById('price_currency_1').style.opacity = 0;
	document.getElementById('price_asterisk_1').style.opacity = 0;
	document.getElementById('subtitle_line_1_1').style.opacity = 0;
	document.getElementById('cta_button_1').style.opacity = 0;
	document.getElementById('disclaimer_1').style.opacity = 0;
	document.getElementById('block_2_1').style.opacity = 0;
	document.getElementById('block_2_2').style.opacity = 0;
	document.getElementById('block_2_3').style.opacity = 0;
	document.getElementById('telekom_block_text_2').style.opacity = 0;
	document.getElementById('product_img_2').style.opacity = 0;
	document.getElementById('product_title_2').style.opacity = 0;
	document.getElementById('price_prefix_2').style.opacity = 0;
	document.getElementById('price_int_2').style.opacity = 0;
	document.getElementById('price_decimal_2').style.opacity = 0;
	document.getElementById('price_currency_2').style.opacity = 0;
	document.getElementById('price_asterisk_2').style.opacity = 0;
	document.getElementById('subtitle_line_2_1').style.opacity = 0;
	document.getElementById('cta_button_2').style.opacity = 0;
	document.getElementById('disclaimer_2').style.opacity = 0;
	document.getElementById('sticker').style.opacity = 0;
	document.getElementById('sticker_img').style.opacity = 0;
	/*document.getElementById('sticker_headline').style.opacity = 0;
	document.getElementById('sticker_description').style.opacity = 0;*/

	document.getElementById('block_1_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('block_1_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('block_1_3').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('telekom_block_text_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('product_img_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('product_title_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_prefix_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_int_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_decimal_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_currency_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_asterisk_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('subtitle_line_1_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('cta_button_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('disclaimer_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('block_2_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('block_2_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('block_2_3').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('telekom_block_text_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('product_img_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('product_title_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_prefix_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_int_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_decimal_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_currency_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('price_asterisk_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('subtitle_line_2_1').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('cta_button_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('disclaimer_2').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('sticker').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('sticker_img').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	/*document.getElementById('sticker_headline').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';
	document.getElementById('sticker_description').style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=0)';*/

	document.getElementById('product_1').style.top = '250px';
	document.getElementById('frame_1_0').style.top = '250px';
	document.getElementById('frame_1_1').style.top = '250px';
	document.getElementById('disclaimer_1').style.top = '250px';
	document.getElementById('product_2').style.top = '250px';
	document.getElementById('frame_2_0').style.top = '250px';
	document.getElementById('frame_2_1').style.top = '250px';
	document.getElementById('disclaimer_2').style.top = '250px';
	document.getElementById('sticker_frame').style.top = '250px';
	document.getElementById('sticker').style.top = '250px';
	document.getElementById('sticker_img').style.top = '250px';
	/*document.getElementById('sticker_headline').style.top = '250px';
	document.getElementById('sticker_description').style.top = '250px';*/
}

window.onload = function(){
	var total_timer = 0;
	var single_timer = 0;
	var animationStarted = false;
	/*
	var expandBlockReady = false;
	var fadeInBlockReady = false;
	var fadeOutBlockReady = false;
	var fadeInProductReady = false;
	var fadeOutProductReady = false;
	var fadeInDisclaimerReady = false;
	var fadeOutDisclaimerReady = false;
	var fadeInStickerReady = false;
	var fadeOutStickerReady = false;
	*/
	startAnimation = setInterval(function(){
		total_timer++;
		if(total_timer > 1120){
			clearInterval(startAnimation);
			if(fadeInProductReady != 1){
				document.getElementById('product_1').style.top = 0;
				fadeInProduct(1);
			}
		}
		if(total_timer == 1120){ //28 seconds
			/*fadeOutBlocks(1);
			fadeOutDisclaimer(1);
			fadeOutBlocks(2);
			fadeOutProduct(2);
			fadeOutDisclaimer(2);
			//fadeOutBlocks(3);
			//fadeOutProduct(3);
			//fadeOutDisclaimer(3);
			fadeOutSticker();*/
			if(fadeInProductReady != 1){
				resetValues();
			}
		}else{
			single_timer++;
			if(jsonp_finished == true && animationStarted == false){
				animationStarted = true;
				fadeInLogo();
				insertBlocks(1);
			}
			if(expandBlockReady == 1 && fadeInBlockReady == 1 && single_timer > 160){
				expandBlockReady = false;
				fadeInBlockReady = false;
				single_timer = 0;
				fadeOutBlocks(1);
			}
			if(fadeOutBlockReady == 1){
				fadeOutBlockReady = false;
				single_timer = 0;
				fadeInProduct(1);
			}
			if(fadeInProductReady == 1 && single_timer == 80){
				bounceCta(1);
			}
			if(fadeInProductReady == 1 && single_timer > 160){
				fadeInProductReady = false;
				single_timer = 0;
				fadeOutProduct(1);
				insertBlocks(2);
			}
			if(expandBlockReady == 2 && fadeInBlockReady == 2 && single_timer > 160){
				expandBlockReady = false;
				fadeInBlockReady = false;
				single_timer = 0;
				fadeOutBlocks(2);
			}
			if(fadeOutBlockReady == 2){
				fadeOutBlockReady = false;
				single_timer = 0;
				fadeInProduct(2);
			}
			if(fadeInProductReady == 2 && single_timer == 80){
				bounceCta(2);
			}
			if(fadeInProductReady == 2 && single_timer > 160){
				fadeInProductReady = false;
				single_timer = 0;
				fadeOutProduct(2);
				fadeInSticker();
			}
			if(fadeInStickerReady == true && single_timer == 80){
				bounceCta(3);
			}
			if(fadeInStickerReady == true && fadeOutProductReady == 2 && single_timer > 160){
				fadeInStickerReady = false;
				fadeOutProductReady = false;
				single_timer = 0;
				fadeOutSticker();
				insertBlocks(1);
			}
		}
	},25);
}

//TRACK MOUSEPOS
function getMousePosition(mp, product){
	/*var _x = mp.pageX;
	var _y = mp.pageY;
	trackMousePosition(_x, _y, product);
	return;*/
}

function trackMousePosition(_x, _y, product){
	/*var mousePosDone = 'false';
	function keepTrack(mp){
		var	_x_new = mp.pageX;
		var _y_new = mp.pageY;
		if(_x_new > (_x + 5) || _x_new < (_x - 5) || _y_new > (_y + 5) || _y_new < (_y - 5)){
			fadeOutDisclaimer(product);
			window.mousePosDone = 'true';
			return;
		}
	}
	if(mousePosDone == 'true'){
		return;
		console.log(_x_new);
	}else{
		document.onmousemove = keepTrack;
	}*/
}
//END MOUSEPOS