<?php
namespace MM\MmDynbanner\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package mm_dynbanner
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class BannerController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * bannerRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\BannerRepository
	 * @inject
	 */
	protected $bannerRepository;
	
	/**
	 * eyecatcherRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\EyecatcherRepository
	 * @inject
	 */
	protected $eyecatcherRepository;

	/**
	 * bannerRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\EyecatcherColorRepository
	 * @inject
	 */
	protected $eyecatcherColorRepository;
	
	/**
	 * deviceRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\DeviceRepository
	 * @inject
	 */
	protected $deviceRepository;
	
	/**
	 * campaignRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\CampaignRepository
	 * @inject
	 */
	protected $campaignRepository;
	
	/**
	 * @var \MM\MmDynbanner\Domain\Repository\RateRepository
	 * @inject
	 */
	protected $rateRepository;
	
	/**
	 * @var \MM\MmDynbanner\Domain\Repository\SupplyRepository
	 * @inject
	 */
	protected $supplyRepository;
	
	/**
	 * @var \MM\MmDynbanner\Domain\Repository\OptionRepository
	 * @inject
	 */
	protected $optionRepository;
	
	/**
	 * @var \MM\MmDynbanner\Domain\Repository\AdformatRepository
	 * @inject
	 */
	protected $adformatRepository;

	/**
	 * @var \MM\MmDynbanner\Domain\Repository\TopsellerRepository
	 * @inject
	 */
	protected $topsellerRepository;


	/** 
	 * action list
	 *
	 * @param string $filter
	 * @param string $filterdev
	 * @return void
	 */
	public function listAction() {
	  $args = $this->request->getArguments();
	  $filter = $args['filter']['searchString'];
	  $filterdev = $args['filterDev']['searchStringDev'];
		//$allbanners = $this->bannerRepository->findByApprovedId(3);
		$allbanners = $this->bannerRepository->findAll();
	  if ($filter === NULL) {
		  if ($filterdev === NULL) {
			  $banners = $this->bannerRepository->findAll();
			  //$banners = $this->bannerRepository->findByApprovedId(3);
			} else {
				
			  $banners = $this->bannerRepository->findByFilterDev($filterdev);
			}
		} else {
		  $banners = $this->bannerRepository->findByFilter($filter);
		}
		$this->view->assign('filter', $args['filter']);
		$this->view->assign('filterdev', $args['filterDev']);
		$this->view->assign('banners', $banners);
		$this->view->assign('allbanners', $allbanners);
    //$this->view->assign('devices',array_merge(array('0'=>'Alle'),$this->deviceRepository->findAll()->toArray()));
    //$this->view->assign('rates',array_merge(array('0'=>'Alle'),$this->rateRepository->findAll()->toArray()));
    //$this->view->assign('eyecatcher',array_merge(array('0'=>'Alle'),$this->eyecatcherRepository->findAll()->toArray()));
    //$this->view->assign('eycatcherColor',array_merge(array('0'=>'Alle'),$this->eyecatcherColorRepository->findAll()->toArray()));
    //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($allbanners);

	}

	/**
	 * action show
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Banner $banner
	 * @return void
	 */
	public function showAction(\MM\MmDynbanner\Domain\Model\Banner $banner) {

    //$this->view->assign('device', $this->deviceRepository->findByUid($banner->getDevice()));
    //$this->view->assign('rate', $this->rateRepository->findByUid($banner->getDevice()));
    //$this->view->assign('eyecatcher',array_merge(array('0'=>'Alle'),$this->eyecatcherRepository->findAll()->toArray()));
    //$this->view->assign('eycatcherColor',array_merge(array('0'=>'Alle'),$this->eyecatcherColorRepository->findAll()->toArray()));
		$this->view->assign('banner', $banner);
	}

	/**
	 * action new
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Banner $newBanner
	 * @dontvalidate $newBanner
	 * @return void
	 */
	public function newAction(\MM\MmDynbanner\Domain\Model\Banner $newBanner = NULL) {
		$this->view->assign('newBanner', $newBanner);
		$selectObjectsArray= array('eyecatcher','eyecatcherColor','campaign','device','rate','option','supply','format');
		$this->view->assign('selectObjects', $this->getSelectOptions($selectObjectsArray));
	}

	/**
	 * action create
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Banner $newBanner
	 * @return void
	 */
	public function createAction(\MM\MmDynbanner\Domain\Model\Banner $newBanner) {
		$this->bannerRepository->add($newBanner);
		$this->redirect('list');
	}

	/**
	 * action edit
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Banner $banner
	 * @return void
	 */
	public function editAction(\MM\MmDynbanner\Domain\Model\Banner $banner) {
		$selectObjectsArray= array('eyecatcher','eyecatcherColor','campaign','device','rate');
		$this->view->assign('selectObjects', $this->getSelectOptions($selectObjectsArray));
		$this->view->assign('banner', $banner);
	}

	/**
	 * action update
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Banner $banner
	 * @return void
	 */
	public function updateAction(\MM\MmDynbanner\Domain\Model\Banner $banner) {
		$this->bannerRepository->update($banner);
		$this->redirect('list');
	}

	/**
	 * action delete
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Banner $banner
	 * @return void
	 */
	public function deleteAction(\MM\MmDynbanner\Domain\Model\Banner $banner) {
		$this->bannerRepository->remove($banner);
		$this->redirect('list');
	}


// Section for www.telekom.de feeds

	/** 
	 * action wtdeAdformTest
	 *
	 * @return void
	 */
	public function wtdeAdformTestAction() {
//		$tophandys = $this->topsellerRepository->findAll();
//		$tophandy = 0;
//		foreach ($tophandys as $handy) {
//		 	if($handy->getDevice()->getWtdeAvailable() && !$handy->getDevice()->getIsApple()) {
//				$tophandy = $handy->getDevice()->getUid();
//				break;
//			}
//		} 
//	  $tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
//	  #$tmpBanners = $this->bannerRepository->findByApprovedId(3);
//	  $tmpBanner1 = array();
//	  $tmpBanner = array();
//	  $tmpBannerTh = array();
//	  //echo $tophandy;
//	  //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::Var_Dump($tmpBanners);
//
//      	foreach($tmpBanners as $banner){
//          //If Abfragen auf den Tarif
//          if(!$tmpBanner1[$banner->getDevice()->getUid()] && (in_array($banner->getRate()->getUid(),array(115,117,119))) && !$banner->getDevice()->getIsApple()) {
//
//            //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::Var_Dump($tmpBanner1);
//            $tmpBanner1[$banner->getDevice()->getUid()] = $banner;
//            //echo "rein ".$banner->getDevice()->getNameOrig()." - ".$banner->getRate()->getUid()."<br>".$tmpBanner1[$banner->getDevice()->getUid()]->getPrice()."<br />";
//          }
//       		if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && !$banner->getDevice()->getIsApple()){
//         		$legalTexts = str_split($banner->getRate()->getLegal(),1000);
//        		$banner->getRate()->setLegalTexts($legalTexts);
//        		//$tmpBanner[] = $banner;
//      		  //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner1);
//      		  //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner);
//      		  //echo $banner->getDevice()->getNameOrig()." - ".$banner->getRate()->getUid()."<br>".$tmpBanner1[$banner->getDevice()->getUid()]->getPrice();
//            
//            switch($banner->getRate()->getUid()) {
//              case 119: 
//                if ($tmpBanner1[$banner->getDevice()->getUid()]->getPrice() >= $banner->getPrice() && !(in_array($banner->getRate()->getUid(),array(117,115)))) {
//                	if ($banner->getDevice()->getUid() === $tophandy) {
//                		$tmpBannerTh[$banner->getDevice()->getUid()] = $banner;
//                	} else {
//    	              $tmpBanner[$banner->getDevice()->getUid()] = $banner;
//    	            }
//                  //echo "74 ".$banner->getDevice()->getNameOrig()." - ".$banner->getRate()->getUid()."<br>".$tmpBanner1[$banner->getDevice()->getUid()]->getPrice()."<br />";
//                }
//              case 117: 
//                if ($tmpBanner1[$banner->getDevice()->getUid()]->getPrice() >= $banner->getPrice() && !(in_array($banner->getRate()->getUid(),array(115,119)))) {
//                	if ($banner->getDevice()->getUid() === $tophandy) {
//                		$tmpBannerTh[$banner->getDevice()->getUid()] = $banner;
//                	} else {
//    	              $tmpBanner[$banner->getDevice()->getUid()] = $banner;
//    	            }
//                  //echo "117 ".$banner->getDevice()->getNameOrig()." - ".$banner->getRate()->getUid()."<br>".$tmpBanner1[$banner->getDevice()->getUid()]->getPrice()."<br />";
//                }
//              case 115: 
//                if ($tmpBanner1[$banner->getDevice()->getUid()]->getPrice() >= $banner->getPrice() && !(in_array($banner->getRate()->getUid(),array(119,117)))) {
//                	if ($banner->getDevice()->getUid() === $tophandy) {
//                		$tmpBannerTh[$banner->getDevice()->getUid()] = $banner;
//                	} else {
//    	              $tmpBanner[$banner->getDevice()->getUid()] = $banner;
//    	            }
//                  //echo "70 ".$banner->getDevice()->getNameOrig()." - ".$banner->getRate()->getUid()."<br>".$tmpBanner1[$banner->getDevice()->getUid()]->getPrice()."<br />";
//                }
//              default:
//                //echo "raus ".$banner->getDevice()->getNameOrig()." - ".$banner->getRate()->getUid()."<br>".$tmpBanner1[$banner->getDevice()->getUid()]->getPrice()."<br />";
//                unset($tmpBanners);
//            }
//          }
//      	}	
//
//        //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner);
//
//
//    		# Tophandy an erste Stelle
//    		$tmpBanner = array_merge($tmpBannerTh, $tmpBanner);  
//
//
//      	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner1);
//    	  //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBannerTh);
//        //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner);
//        //die;
//      	    //$banners[] = $banner;
//
//
//      	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner);
//      	//die;
//  	

    	$tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
    	foreach($tmpBanners as $banner){
    		if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && !$banner->getDevice()->getIsApple() && !$banner->getRate()->getIsYoung()){
    		    $adfpn = substr($banner->getLink(), 33);
    		    $banner->setAdfPageName($adfpn);
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;
    		}
    	}	

  	
	  //$this->view->assign('banners', $tmpBanner);
	  $this->view->assign('banners', $banners);
	}

	/** 
	 * action wtdeAllApproved
	 *
	 * @return void
	 */
	public function wtdeAllApprovedAction() {
	$tmpBanners = $this->bannerRepository->findAllByCampaign(3);
	//$tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(0,3);
	foreach($tmpBanners as $banner){
		if(($banner->getRate()->getActive()) && (!$banner->getDevice()->getIsApple()) && !$banner->getRate()->getIsYoung()){
		    //if (!$banner->getDevice->getArchived()) {
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;
		    //}
		}
	}	
	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanners);
	$this->view->assign('banners', $banners);

	}

	/** 
	 * action stdeAdformNew
	 *
	 * @return void
	 */
	public function wtdeAdformNewAction() {
//		$topsellers = $this->topsellerRepository->findAll();
//		$topseller = 0;
//		foreach ($topsellers as $handy) {
//		 	if($handy->getDevice()->getWtdeAvailable() && !$handy->getDevice()->getIsApple()) {
//				$topseller = $handy->getDevice()->getUid();
//				break;
//			}
//		}
	  //$selectedRate = [146,157,167,168,169,170,171,173,174,175,176,177];
	  //$tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaignSorted(3,3,'rate.tkOrder');
	  $tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
//	  $tmpBanner1 = array();
//	  $tmpBanner = array();
//	  $tmpBannerTs = array();
//	  //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tophandys);
//
		$addData= [];
		$lastdevice = "";
      	foreach($tmpBanners as $banner){
       		if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && !$banner->getDevice()->getIsApple() && !$banner->getRate()->getIsYoung()){
       			
       			if (stripos($banner->getRate()->getName(), 'data')) {
       				$addData['pfamily'] = 'Mobile Data';
       				$addData['wtrekk_pk'] = 'mfmddcxx';
       			} else {
       				$addData['pfamily'] = 'Magenta Mobil';
       				$addData['wtrekk_pk'] = 'mfmmpoek';
       			}
       			$pricetotal = ($banner->getRate()->getMonthlyPrice() * 24) + $banner->getPrice();
       			$addData['totalPrice'] = $pricetotal;
       			if ($pricetotal > 0 && $pricetotal <= 1000 ) {
       				$addData['rateGroup'] = 'very low';
       				$addData['rateGroupId'] = 1;
       			} elseif ($pricetotal > 1000 && $pricetotal <= 1500 ) {
       				$addData['rateGroup'] = 'low';
       				$addData['rateGroupId'] = 2;
       			} elseif ($pricetotal > 1500 && $pricetotal < 2000 ) {
       				$addData['rateGroup'] = 'medium';
       				$addData['rateGroupId'] = 3;
       			} elseif ($pricetotal >= 2000 && $pricetotal <= 2750 ) {
       				$addData['rateGroup'] = 'high';
       				$addData['rateGroupId'] = 4;
       			} elseif ($pricetotal > 2750) {
       				$addData['rateGroup'] = 'very high';
       				$addData['rateGroupId'] = 5;
       			}
       			$banner->setAddData($addData);
       			
         		$legalTexts = str_split($banner->getRate()->getLegal(),1000);
        		$banner->getRate()->setLegalTexts($legalTexts);
        		
        		// reduce rates, only one per device
        		
        		if ($lastdevice == $banner->getDevice()->getDeviceId()) {
        			//echo "drin";
        			if ($lastdeviceprice <= $banner->getPrice()) {
        				if ($lastdevicetotal <= $banner->getAddData['totalPrice']) {
        					unset($banner);
        				} else {
        					unset($thedevice);
        					$thedevice = $banner;
        					$lastdeviceprice = $banner->getPrice();
        					$lastdevicetotal = $banner->getAddData['totalPrice'];
        				}
        			} else {
        				unset($banner);
        			}
        		} else {
        			if ($thedevice) {
        				$tmpBanner[] = $thedevice;
        				unset($thedevice);
        			}
        			$thedevice = $banner;
        			$lastdevice = $banner->getDevice()->getDeviceId();
        			//echo $lastdevice."<br>";
        			$lastdeviceprice = $banner->getPrice();
        			$lastdevicetotal = $banner->getAddData['totalPrice'];
        		}
        		
        		
                //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner1);
                
                //die;
                //echo $banner->getDevice()->getNameOrig()." - ".$banner->getRate()->getUid()."<br>".$tmpBanner1[$banner->getDevice()->getUid()]->getPrice();
            }
            
        }
        //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner);
/*
        $sort1 = [];
        $sort2 = [];
        $sort3 = [];
        $sort4 = [];
        foreach($tmpBanner as $key=>$value) {
        	$sort1[$key] = $value->addData['wtrekk_pk'];
        	$sort2[$key] = $value->getPrice();
        	$sort3[$key] = $value->addData['rateGroupId'];
        	switch ($value->getDevice()->getManufacturer()) {
        		case "Samsung":
        			$sort4[$key] = 1;
        			break;
        		case "Apple":
        			$sort4[$key] = 2;
        			break;
        		case "Telekom":
        			$sort4[$key] = 3;
        			break;
        		case "Huawei":
        			$sort4[$key] = 4;
        			break;
        		case "Xplora":
        			$sort4[$key] = 5;
        			break;
        		case "Oppo":
        			$sort4[$key] = 6;
        			break;
        		case "Xiaomi":
        			$sort4[$key] = 7;
        			break;
        		case "One Plus":
        			$sort4[$key] = 8;
        			break;
        		case "CAT":
        			$sort4[$key] = 9;
        			break;
        		case "Google":
        			$sort4[$key] = 10;
        			break;
        		case "Fairphone":
        			$sort4[$key] = 11;
        			break;
        		case "Motorola":
        			$sort4[$key] = 12;
        			break;
        		case "Nokia":
        			$sort4[$key] = 13;
        			break;
        		case "Emporio":
        			$sort4[$key] = 14;
        			break;
        		case "Alcatel":
        			$sort4[$key] = 15;
        			break;
        		case "Doro":
        			$sort4[$key] = 16;
        			break;
        		default:
        			$sort4[$key] = 17;
        	}
        	
        }
        
        array_multisort($sort1, SORT_DESC,
        				$sort2, SORT_ASC,
        				$sort3, SORT_ASC,
        				$sort4, SORT_DESC,
        				$tmpBanner);        

*/     

//		# Topseller at beginning
//		//$tmpBanner = array_merge($tmpBannerTs, $tmpBanner);  
//  	
//	  //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBannerTs);
//    //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner1);
//  	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanner);
//  	//die;
 	
        //$tmpBanner = rsort($tmpBanner);
        $this->view->assign('banners', $tmpBanner);
//
	}



	/** 
	 * action stdeXplosion
	 *
	 * @return void
	 */
	public function wtdeXplosionAction() {
    	#$tmpBanners = $this->bannerRepository->findByApprovedId(3);
    	$tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
    	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanners);
    	foreach($tmpBanners as $banner){
    		if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && !$banner->getDevice()->getIsApple() && !$banner->getRate()->getIsYoung()){
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;
    		}
    	}	
    	$this->view->assign('banners', $banners);

	}


	/** 
	 * action wtdeGoogleprod
	 *
	 * @return void
	 */
	public function wtdeGoogleProdAction() {
		#$tmpBanners = $this->bannerRepository->findByApprovedId(3);
		$tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
		//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanners);
		$dev1 = [586, 587];
		$dev2 = [588];
		$rate1 = [146, 119, 117, 115];
		$rate2 = [121,120,119,118,117,116,115];
		foreach($tmpBanners as $banner){
			//if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && !$banner->getRate()->getArchived && $banner->getDevice()->getEan() && !$banner->getDevice()->getArchived() && $banner->getDevice()->getDeviceCondition(8)  && $banner->getDescriptionV2() && !$banner->getRate()->getIsYoung()){
			if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && !$banner->getRate()->getArchived && $banner->getDevice()->getEan() && !$banner->getDevice()->getArchived() && $banner->getDevice()->getDeviceCondition(8)  && $banner->getDescriptionV2()){
				$cat = $banner->getDevice()->getCategory()->getUid();
			    if (in_array($banner->getDevice()->getUid(), $dev1) && in_array($banner->getRate()->getUid(), $rate1)) {
			        
			    }
			    elseif (in_array($banner->getDevice()->getUid(), $dev2) && in_array($banner->getRate()->getUid(), $rate2)) {
			        
			    }
			    else {
			    	if (($cat == 1) && (time() >= 1618264800) && (time() <= 1622498400)) {
			    		//echo $cat;
			    		//$total =  $banner->getPrice() + $banner->getRate()->getActivationFee();
			    		$banners[] = $banner; 
			    	} else {
			    		//echo $cat."<br>";
				        $total =  $banner->getPrice() + $banner->getRate()->getActivationFee();
				        $banner->setPrice($total);
				        $banners[] = $banner;  
			    	}
			    }
				//$legalTexts = str_split($banner->getRate()->getLegal(),1000);
				//$banner->getRate()->setLegalTexts($legalTexts);
				//$banners[] = $banner;
			}
		}	
		$this->view->assign('banners', $banners);

	}

	/** 
	 * action testGoogleprod
	 *
	 * @return void
	 */
	public function testGoogleProdAction() {
		#$tmpBanners = $this->bannerRepository->findByApprovedId(3);
		$tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
		$dev1 = [586, 587];
		$dev2 = [588];
		$rate1 = [146, 119, 117, 115];
		$rate2 = [121,120,119,118,117,116,115];
		foreach($tmpBanners as $banner){
			if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && $banner->getDevice()->getEan() && $banner->getDevice()->getDeviceCondition(8) && $banner->getDescriptionV2() && !$banner->getRate()->getIsYoung()){
			    if (in_array($banner->getDevice()->getUid(), $dev1) && in_array($banner->getRate()->getUid(), $rate1)) {
			        
			    }
			    elseif (in_array($banner->getDevice()->getUid(), $dev2) && in_array($banner->getRate()->getUid(), $rate2)) {
			        
			    }
			    else {
			        $total =  $banner->getPrice() + $banner->getRate()->getActivationFee();
			        $banner->setPrice($total);
			        $banners[] = $banner;  
			    }
				//$legalTexts = str_split($banner->getRate()->getLegal(),1000);
				//$banner->getRate()->setLegalTexts($legalTexts);
				//$banners[] = $banner;
			}
		}	
		$this->view->assign('banners', $banners);

	}


	/** 
	 * action wtdeFbDpa
	 *
	 * @return void
	 */
	public function wtdeFbDpaAction() {

		$selectedRate = [194];
		$selectedCat = [1];
		$banners = [];
		$prebanners = [];
		$selectedBanners = [];
		$selectedPrice = 0.97;
	    $tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaignSorted(3,3,'rate.tkOrder');
 		
    	foreach($tmpBanners as $banner){
    		//if($banner->getDevice()->getWtdeAvailable() && (in_array($banner->getDevice()->getCategory()->getUid(),$selectedCat)) && $banner->getRate()->getActive() && (in_array($banner->getRate()->getUid(),$selectedRate)) && $banner->getDevice()->getManufacturer() == "Samsung" && !$banner->getDevice()->getIsApple() && !$banner->getRate()->getIsYoung()){
    		if($banner->getDevice()->getWtdeAvailable() && $banner->getDevice()->getDeviceCondition()->getUid() == 8 && $banner->getRate()->getActive() && strtolower($banner->getDevice()->getManufacturer()) == "samsung" && !$banner->getDevice()->getIsApple() && (in_array($banner->getDevice()->getCategory()->getUid(),$selectedCat)) && (!$banner->getRate()->getIsYoung()) ){
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$prebanners[] = $banner;
	    	}
	    }
	    
	    $cobanners = $prebanners;
	    
	    
	    $before = [];
	    
	    foreach ($prebanners as $pre => &$preitem) {
	    	if ((count($before) == 0) && (!$preitem->getRate()->getIsYoung())) {
	    		$before[] = $preitem;
	    		$last = $pre;
	    		//echo $last;
	    		
	    	} elseif (($preitem->getDevice() == $before[0]->getDevice())  && (!$preitem->getRate()->getIsYoung())) {
	    		if (($preitem->getPrice() <= $before[0]->getPrice()) && ($preitem->getRate()->getMonthlyPrice() <= $before[0]->getRate()->getMonthlyPrice()) ) {

		    		//echo "Schleife 1 ".$preitem->getDevice()->getName()." - ".$preitem->getDevice()->getColor()." - ".$preitem->getDevice()->getMemory()." - ".$preitem->getRate()->getName()."<br>";
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
		    		//echo $preitem->getRate()->getMonthlyPrice()." - ".$before[0]->getRate()->getMonthlyPrice()."<br>";
	    			unset($prebanners[$last]);
	    			$last = $pre;
	    			unset($before);
	    			$before[] = $preitem;
	    			
	    		} else {
		    		//echo "Schleife 2 ".$preitem->getDevice()->getName()." - ".$preitem->getDevice()->getColor()." - ".$preitem->getDevice()->getMemory()." - ".$preitem->getRate()->getName()."<br>";
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
		    		//echo $preitem->getRate()->getMonthlyPrice()." - ".$before[0]->getRate()->getMonthlyPrice()."<br>";
	    			unset($prebanners[$pre]);
	    			$last = $pre;
	    			unset($before);
	    			$before[] = $preitem;
	    			
	    		}
	    	} elseif (($preitem->getDevice() != $before[0]->getDevice())  && (!$preitem->getRate()->getIsYoung())) {
		    		//echo "Schleife else ".$preitem->getDevice()->getName()." - ".$preitem->getDevice()->getColor()." - ".$preitem->getDevice()->getMemory()." - ".$preitem->getRate()->getName()."<br>";
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
	    			$last = $pre;
	    			unset($before);
	    			$before[] = $preitem;
	    	}

	    }
/*
	    unset($pre);
	    $beforeyoung = [];
		foreach ($prebanners as $pre => &$preitem) {
			if ($preitem->getRate()->getIsYoung()) {
				//echo "Schleife 1 ".$preitem->getDevice()->getName()." - ".$preitem->getDevice()->getColor()." - ".$preitem->getDevice()->getMemory()." - ".$preitem->getRate()->getName()."<br>";
			}
	    	if ((count($beforeyoung) == 0) && ($preitem->getRate()->getIsYoung())) {
	    		$beforeyoung[] = $preitem;
	    		$lastyoung = $pre;
	    		//echo $lastyoung."<br>";
	    		//echo "Schleife 1 ".$preitem->getDevice()->getName()." - ".$preitem->getDevice()->getColor()." - ".$preitem->getDevice()->getMemory()." - ".$preitem->getRate()->getName()."<br>";
	    		//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($beforeyoung); die;
	    	} elseif (($preitem->getDevice() == $beforeyoung[0]->getDevice())  && ($preitem->getRate()->getIsYoung())) {
	    		if (($preitem->getPrice() <= $beforeyoung[0]->getPrice()) && ($preitem->getRate()->getMonthlyPrice() <= $beforeyoung[0]->getRate()->getMonthlyPrice()) ) {
	    			
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
		    		//echo $preitem->getRate()->getMonthlyPrice()." - ".$before[0]->getRate()->getMonthlyPrice()."<br>";
	    			unset($prebanners[$lastyoung]);
	    			$lastyoung = $pre;
	    			unset($beforeyoung);
	    			$beforeyoung[] = $preitem;
	    			
	    		} else {
	    			
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
		    		//echo $preitem->getRate()->getMonthlyPrice()." - ".$before[0]->getRate()->getMonthlyPrice()."<br>";
	    			unset($prebanners[$pre]);
	    			$lastyoung = $pre;
	    			unset($beforeyoung);
	    			$beforeyoung[] = $preitem;
	    			
	    		}
	    	} elseif ($preitem->getRate()->getIsYoung()) {
	    			$lastyoung = $pre;
	    			unset($beforeyoung);
	    			$beforeyoung[] = $preitem;
	    	}	    	
	    		    	
	    	
			
		}
	    //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($beforeyoung);
*/
	    unset($pre);
		unset($before);
	    $before = [];
	    foreach ($prebanners as $pre => &$preitem) {
	    	if ((count($before) == 0) && (!$preitem->getRate()->getIsYoung())) {
	    		$before[] = $preitem;
	    		$last = $pre;
	    		//echo $last;
	    		
	    	} elseif (($preitem->getDevice() == $before[0]->getDevice())  && (!$preitem->getRate()->getIsYoung())) {
	    		if (($preitem->getPrice() <= $before[0]->getPrice()) && ($preitem->getRate()->getMonthlyPrice() <= $before[0]->getRate()->getMonthlyPrice()) ) {

		    		//echo "Schleife 1 ".$preitem->getDevice()->getName()." - ".$preitem->getDevice()->getColor()." - ".$preitem->getDevice()->getMemory()." - ".$preitem->getRate()->getName()."<br>";
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
		    		//echo $preitem->getRate()->getMonthlyPrice()." - ".$before[0]->getRate()->getMonthlyPrice()."<br>";
	    			unset($prebanners[$last]);
	    			$last = $pre;
	    			unset($before);
	    			$before[] = $preitem;
	    			
	    		} else {
		    		//echo "Schleife 2 ".$preitem->getDevice()->getName()." - ".$preitem->getDevice()->getColor()." - ".$preitem->getDevice()->getMemory()." - ".$preitem->getRate()->getName()."<br>";
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
		    		//echo $preitem->getRate()->getMonthlyPrice()." - ".$before[0]->getRate()->getMonthlyPrice()."<br>";
	    			unset($prebanners[$pre]);
	    			$last = $pre;
	    			unset($before);
	    			$before[] = $preitem;
	    			
	    		}
	    	} elseif (($preitem->getDevice() != $before[0]->getDevice())  && (!$preitem->getRate()->getIsYoung())) {
		    		//echo "Schleife else ".$preitem->getDevice()->getName()." - ".$preitem->getDevice()->getColor()." - ".$preitem->getDevice()->getMemory()." - ".$preitem->getRate()->getName()."<br>";
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
	    			$last = $pre;
	    			unset($before);
	    			$before[] = $preitem;
	    	}

	    	    	
	    	
	    }
/*	    unset($pre);
		unset($beforeyoung);
	    $beforeyoung = [];
	    
	    foreach ($prebanners as $pre => &$preitem) {
	    	if ((count($beforeyoung) == 0) && ($preitem->getRate()->getIsYoung())) {
	    		$beforeyoung[] = $preitem;
	    		$lastyoung = $pre;
	    		//echo $last;
	    		
	    	} elseif (($preitem->getDevice() == $beforeyoung[0]->getDevice())  && ($preitem->getRate()->getIsYoung())) {
	    		if (($preitem->getPrice() <= $beforeyoung[0]->getPrice()) && ($preitem->getRate()->getMonthlyPrice() <= $beforeyoung[0]->getRate()->getMonthlyPrice()) ) {
	    			
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
		    		//echo $preitem->getRate()->getMonthlyPrice()." - ".$before[0]->getRate()->getMonthlyPrice()."<br>";
	    			unset($prebanners[$lastyoung]);
	    			$lastyoung = $pre;
	    			unset($beforeyoung);
	    			$beforeyoung[] = $preitem;
	    			
	    		} else {
	    			
		    		//echo $preitem->getPrice()." - ".$before[0]->getPrice()."<br>";
		    		//echo $preitem->getRate()->getMonthlyPrice()." - ".$before[0]->getRate()->getMonthlyPrice()."<br>";
	    			unset($prebanners[$pre]);
	    			$lastyoung = $pre;
	    			unset($beforeyoung);
	    			$beforeyoung[] = $preitem;
	    			
	    		}
	    	} elseif ($preitem->getRate()->getIsYoung()) {
	    			$lastyoung = $pre;
	    			unset($beforeyoung);
	    			$beforeyoung[] = $preitem;
	    	}	    	
	    	
	    }

*/
	    
	    
	    
	    //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($before);
	    //die;
	    
		$banners = $prebanners;

	    
	    //$banners = $this->remove_duplicate_devices($banners);
	    
	    
    	$this->view->assign('banners', $banners);


	}
	
	public function get_min_price($array, $source)
	{
		$devicekeys = [];
		$dk = 0;
		foreach ($source as $key => $item) {
			
			if ($array->getDevice() == $item->getDevice()) {
				$devicekeys[$dk++] = $array->getDevice()->getDeviceId();
//    			if (($array->getPrice() <= $item->getPrice()) && ($array->getRate()->getTkOrder() <= $item->getRate()->getTkOrder()) && ($array->getRate()->getIsYoung()) ) {
//    				return true;
//    			} elseif ( ($array->getPrice() <= $item->getPrice()) && ($array->getRate()->getTkOrder() <= $item->getRate()->getTkOrder()) && (!$array->getRate()->getIsYoung()) ){
//    				return true;
//    			} else {
//    				return false;
//    			}
//				//&& ($array->getRate()->getMonthlyPrice() <= $item->getRate()->getMonthlyPrice()) && 
			}
			
			
		}

		
		
		return $devicekeys;
	}

	public function getArrayFiltered($aFilterKey, $aFilterValue, $array) {
	    $filtered_array = array();
	    foreach ($array as $value) {
	        if (isset($value->$aFilterKey)) {
	            if ($value->$aFilterKey == $aFilterValue) {
	                $filtered_array[] = $value;
	            }
	        }
	    }

	    return $filtered_array;
	}

	/** 
	 * action wtdeFbDpa2
	 *
	 * @return void
	 */
	public function wtdeFbDpa2Action() {

		$selectedRate = [206,190,191];
		$selectedCat = [1,6];
		$banners = [];
	    $tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
    	foreach($tmpBanners as $banner){
    		if($banner->getDevice()->getWtdeAvailable() && (in_array($banner->getDevice()->getCategory()->getUid(),$selectedCat)) && $banner->getRate()->getActive() && (in_array($banner->getRate()->getUid(),$selectedRate)) && !$banner->getDevice()->getIsApple() && !$banner->getRate()->getIsYoung()){
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;
    		}
    	}	
    	$this->view->assign('banners', $banners);


	}

	/** 
	 * action wtdeGoogleAdWordsAction
	 *
	 * @return void
	 */
	public function wtdeGoogleAdWordsAction() {

		$banners = [];
	    $tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
	    
    	foreach($tmpBanners as $banner){
    		if ($banner->getRate()->getActive() && !$banner->getDevice()->getArchived() && $banner->getDevice()->getDeviceCondition(8) && !$banner->getRate()->getIsYoung())  {
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;
    		}
    	}
    	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($banners);
    	
    	$this->view->assign('banners', $banners);


	}

	/** 
	 * action Facebook Chatbot
	 *
	 * @return void
	 */
	public function wtdeFbChatbotAction() 
	{
		if (\TYPO3\CMS\Core\Utility\GeneralUtility::_GP('young')) {
			$arg = \TYPO3\CMS\Core\Utility\GeneralUtility::_GP('young');
		} else {
			$arg = 0;
		}
		
	    $aixe = [1029,1030];
	    $ai11 = [976,991,979];
	    $aixr = [838,840,850,852];
	    $aise2g = [1092, 1093, 1094, 1095, 1096, 1097, 1098, 1099, 1100];
        $ai8 = [667,660,668];
        $hp30pro = [902,903,904,905,945,1009];
        $hp40pro = [1073,1074];
        //$hp30pro = [902,903,904,905,945];
        $sgs10 = [885,886,887,892];
        $sgs10e = [888,889,890,891];
        $sgs20u = [1062, 1063, 1049];
        $sga51 = [1042,1043,1044];
        $sgn10 = [952,953];
        $spb = [882];
        $sgt101 = [929];
        $aip102_32_sg = [1004];
	    $selectedDevice = array_merge($aixe,$ai11,$aixr,$aise2g,$ai8,$hp30pro,$hp40pro,$sgs10,$sgs10e,$sgs20u,$sga51,$sgn10,$sgt101,$aip102_32_sg,$spb);	
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$aise2g,$ai8,$hp30pro,$sgs10,$sgs10e,$sgs20u,$sga51,$sgn10);
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$ai8,$hp30pro,$sgs10,$sgs10e);	
		$selectedRates_S = [190,195,201,209];
		$selectedRates_M = [191,196,199,200,210,211];
		$selectedRates_L = [192, 193, 197, 202, 203, 204, 212, 213, 214, 215];
		$selectedRates_XL = [194,198,205,206,207,208,216,217,218,219];
		$selectedRatesData_L = [51,52,223];
		$selectedRatesData_M = [49,222,50];
		$selectedRatesData_S = [47,221,48];

	    $tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);

    	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanners);
    	foreach($tmpBanners as $banner){

    		if(($banner->getDevice()->getWtdeAvailable()) && ($banner->getRate()->getActive()) && ($banner->getRate()->getIsYoung() == $arg) && (in_array($banner->getDevice()->getUid(),$selectedDevice))){
    			if (in_array($banner->getRate()->getUid(),$selectedRates_L)) {
    				// L
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_S)) {
    				// S
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_M)) {
    				// M
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_XL)) {
    				//XL
    			    $banner->setDescription("");
    			} elseif ($banner->getDevice()->getUid() == 882) {
    			    $banner->setDescription("100 GB Inklusiv-Volumen");
    			} elseif ($banner->getDevice()->getUid() == 929 || $banner->getDevice()->getUid() == 1011) {
    				if (in_array($banner->getRate()->getUid(),$selectedRatesData_L)) {
	    			    $banner->setDescription("monatl. 15 GB Highspeed-Volumen");
    				} elseif (in_array($banner->getRate()->getUid(),$selectedRatesData_M)) {
	    			    $banner->setDescription("monatl. 5 GB Highspeed-Volumen");
    				} elseif (in_array($banner->getRate()->getUid(),$selectedRatesData_S)) {
	    			    $banner->setDescription("monatl. 2,5 GB Highspeed-Volumen");
    				}
    			} else {
    			    $banner->setDescription("");
    			}
    		    $banner->getDevice()->setHeadline(trim(str_replace($banner->getDevice()->getMemory(),"",$banner->getDevice()->getHeadline())));
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;

    		}

    	}	
    	$this->view->assign('banners', $banners);

	}


	/** 
	 * action Google Adlingo Chatbot Retargeting
	 *
	 * @return void
	 */
	public function wtdeAdlingoChatbotRetAction() {
	    $aixe = [1029,1030];
	    $ai11 = [976,991,979];
	    $aixr = [838,840,850,852];
        $ai8 = [667,660,668];
        $hp30pro = [902,903,904,905,945,1009];
        //$hp30pro = [902,903,904,905,945];
        $sgs10 = [885,886,887,892];
        $sgs10e = [888,889,890,891];
	    $selectedDevice = array_merge($aixe,$ai11,$aixr,$ai8,$hp30pro,$sgs10,$sgs10e);	
	    $tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
    	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanners);
    	foreach($tmpBanners as $banner){
    		if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && $banner->getRate()->getIsYoung() && in_array($banner->getDevice()->getUid(),$selectedDevice)){
    			if (($banner->getRate()->getUid() == 197) || ($banner->getRate()->getUid() == 212) || ($banner->getRate()->getUid() == 213) || ($banner->getRate()->getUid() == 214) || ($banner->getRate()->getUid() == 215)) {
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (($banner->getRate()->getUid() == 195) || ($banner->getRate()->getUid() == 209)) {
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (($banner->getRate()->getUid() == 196) || ($banner->getRate()->getUid() == 210) || ($banner->getRate()->getUid() == 211)) {
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (($banner->getRate()->getUid() == 198) || ($banner->getRate()->getUid() == 216) || ($banner->getRate()->getUid() == 217) || ($banner->getRate()->getUid() == 218) || ($banner->getRate()->getUid() == 219)) {
    			    $banner->setDescription("");
    			} else {
    			    $banner->setDescription("");
    			}
    		    $banner->getDevice()->setHeadline(trim(str_replace($banner->getDevice()->getMemory(),"",$banner->getDevice()->getHeadline())));
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;
    		}
    	}	
    	$this->view->assign('banners', $banners);

	}

	/** 
	 * action Google Adlingo Chatbot Prospect
	 *
	 * @return void
	 */
	public function wtdeAdlingoChatbotProAction() {
	    $aixe = [1029,1030];
	    $ai11 = [976,991,979];
	    $aixr = [838,840,850,852];
	    $aise2g = [1092, 1093, 1094, 1095, 1096, 1097, 1098, 1099, 1100];
        $ai8 = [667,660,668];
        $hp30pro = [902,903,904,905,945,1009];
        $hp40pro = [1073,1074];
        //$hp30pro = [902,903,904,905,945];
        $sgs10 = [885,886,887,892];
        $sgs10e = [888,889,890,891];
        $sgs20u = [1062, 1063, 1049];
        $sga51 = [1042,1043,1044];
        $sgn10 = [952,953];
        $spb = [882];
        $sgt101 = [929];
        $aip102_32_sg = [1004];
	    $selectedDevice = array_merge($aixe,$ai11,$aixr,$aise2g,$ai8,$hp30pro,$hp40pro,$sgs10,$sgs10e,$sgs20u,$sga51,$sgn10,$sgt101,$aip102_32_sg,$spb);	
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$ai8,$hp30pro,$sgs10,$sgs10e,$sgs20u,$sga51,$sgn10);
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$ai8,$hp30pro,$sgs10,$sgs10e);
		$selectedRates_S = [190,195,201,209];
		$selectedRates_M = [191,196,199,200,210,211];
		$selectedRates_L = [192, 193, 197, 202, 203, 204, 212, 213, 214, 215];
		$selectedRates_XL = [194,198,205,206,207,208,216,217,218,219];
		$selectedRatesData_L = [51,52,223];
		$selectedRatesData_M = [49,222,50];
		$selectedRatesData_S = [47,221,48];

	    $tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
    	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanners);
    	foreach($tmpBanners as $banner){
    		if(($banner->getDevice()->getWtdeAvailable()) && ($banner->getRate()->getActive()) && (in_array($banner->getDevice()->getUid(),$selectedDevice))){
    			if (in_array($banner->getRate()->getUid(),$selectedRates_L)) {
    				// L
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_S)) {
    				// S
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_M)) {
    				// M
    			    $banner->setDescription("StreamOn Social&Chat");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_XL)) {
    				//XL
    			    $banner->setDescription("");
    			} elseif ($banner->getDevice()->getUid() == 882) {
    			    $banner->setDescription("100 GB Inklusiv-Volumen");
    			} elseif ($banner->getDevice()->getUid() == 929 || $banner->getDevice()->getUid() == 1011) {
    				if (in_array($banner->getRate()->getUid(),$selectedRatesData_L)) {
	    			    $banner->setDescription("monatl. 15 GB Highspeed-Volumen");
    				} elseif (in_array($banner->getRate()->getUid(),$selectedRatesData_M)) {
	    			    $banner->setDescription("monatl. 5 GB Highspeed-Volumen");
    				} elseif (in_array($banner->getRate()->getUid(),$selectedRatesData_S)) {
	    			    $banner->setDescription("monatl. 2,5 GB Highspeed-Volumen");
    				}
    			} else {
    			    $banner->setDescription("");
    			}
    		    $banner->getDevice()->setHeadline(trim(str_replace($banner->getDevice()->getMemory(),"",$banner->getDevice()->getHeadline())));
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;

    		}
    	}	
    	$this->view->assign('banners', $banners);

	}


	/** 
	 * action wtdeSingleRate
	 *
	 * @param \string $rateid
	 * @return void
	 */
	public function wtdeSingleRateAction() 
	{
    	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($this->request->getArguments());
    	if ($this->request->hasArgument('rateid')) {
    	    $rateId = intval($this->request->getArgument('rateid'));
    	}
    	#$tmpBanners = $this->bannerRepository->findByApprovedId(3);
    	$tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaignAndRate(3,3,$rateId);
    	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanners);
    	foreach($tmpBanners as $banner){
    		if($banner->getDevice()->getWtdeAvailable() && $banner->getRate()->getActive() && !$banner->getDevice()->getIsApple()){
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;
    		}
    	}	
    	$this->view->assign('banners', $banners);

	}

	/** 
	 * action wtdeFbBotImage
	 *
	 * @return void
	 */
	public function wtdeFbBotImageAction() 
	{
	    $aixe = [1029,1030];
	    $ai11 = [976,991,979];
	    $aixr = [838,840,850,852];
	    $aise2g = [1092, 1093, 1094, 1095, 1096, 1097, 1098, 1099, 1100];
        $ai8 = [667,660,668];
        $hp30pro = [902,903,904,905,945,1009];
        $hp40pro = [1073,1074];
        //$hp30pro = [902,903,904,905,945];
        $sgs10 = [885,886,887,892];
        $sgs10e = [888,889,890,891];
        $sgs20u = [1062, 1063, 1049];
        $sga51 = [1042,1043,1044];
        $sgn10 = [952,953];
        $spb = [882];
        $sgt101 = [929];
        $aip102_32_sg = [1004];
	    $selectedDevice = array_merge($aixe,$ai11,$aixr,$aise2g,$ai8,$hp30pro,$hp40pro,$sgs10,$sgs10e,$sgs20u,$sga51,$sgn10,$sgt101,$aip102_32_sg,$spb);	
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$aise2g,$ai8,$hp30pro,$sgs10,$sgs10e,$sgs20u,$sga51,$sgn10);
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$ai8,$hp30pro,$sgs10,$sgs10e);	
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$ai8,$hp30pro,$sgs10,$sgs10e);
		$selectedRates_S = [190,195,201,209];
		$selectedRates_M = [191,196,199,200,210,211];
		$selectedRates_L = [192, 193, 197, 202, 203, 204, 212, 213, 214, 215];
		$selectedRates_XL = [194,198,205,206,207,208,216,217,218,219];
		$selectedRatesData_L = [51,52,223];
		$selectedRatesData_M = [49,222,50];
		$selectedRatesData_S = [47,221,48];
		//$selectedRatesSpb = [178,189];
	
    	$tmpBanners = $this->bannerRepository->findByApprovedIdAndCampaign(3,3);
    	//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($tmpBanners);
    	foreach($tmpBanners as $banner){
    		if($banner->getRate()->getActive() && (in_array($banner->getDevice()->getUid(),$selectedDevice)) ) {
    		    $banner->getDevice()->setHeadline(trim(str_replace($banner->getDevice()->getMemory(),"",$banner->getDevice()->getHeadline())));
    			$banner->getDevice()->setColor(trim(str_replace(" ", "&nbsp;", $banner->getDevice()->getColor())));
                //$banner->setDescription("");
                
    			if (in_array($banner->getRate()->getUid(),$selectedRates_L)) {
    			    // L 
    			    $banner->setDescription("<format3>+ StreamOn Social&Chat\\r           <format4>kostenlos zubuchbar");
    			    $banner->setDescriptionV2("<format3>+ StreamOn Music&Video\\r          <format4>kostenlos zubuchbar");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_S)) {
    			    // S 
    			    $banner->setDescription("<format3>+ StreamOn Social&Chat\\r           <format4>nur 4,95€ mtl.");
    			    $banner->setDescriptionV2("<format3>+ StreamOn Music\\r           <format4>kostenlos zubuchbar");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_M)) {
    			    // M Young
    			    $banner->setDescription("<format3>+ StreamOn Social&Chat\\r           <format4>nur 4,95€ mtl.");
    			    //$banner->setDescriptionV2("<format2>Aktionsvorteil: 120 € \\r<format4>für 12 Monate um 10 € reduzierter Grundpreis");
    			    $banner->setDescriptionV2("<format3>+ StreamOn Music&Video\\r           <format4>kostenlos zubuchbar");
    			} elseif (in_array($banner->getRate()->getUid(),$selectedRates_XL)) {
    			    // XL Young
    			    $banner->setDescription("<format3>+ deutschlandweit unbegrenztes\\rHighspeed-Datenvolumen");
    			    $banner->setDescriptionV2("<format3>+ StreamOn Social&Chat,\\rMusic&Video kostenlos zubuchbar");
    			} elseif ($banner->getDevice()->getUid() == 882) {
    			    $banner->setDescription("<format3>-  Einstecken und lossurfen       ");
    			    $banner->setDescriptionV2("<format3>-  100GB Inklusiv-Volumen        ");
    			} elseif ($banner->getDevice()->getUid() == 929 || $banner->getDevice()->getUid() == 1004) {
    				if (in_array($banner->getRate()->getUid(),$selectedRatesData_L)) {
	    			    $banner->setDescription("<format3>-  monatl. 15 GB Highspeed-Volumen       ");
	    			    $banner->setDescriptionV2("<format3>-  Surfen im besten Telekom Netz        ");
    				} elseif (in_array($banner->getRate()->getUid(),$selectedRatesData_M)) {
	    			    $banner->setDescription("<format3>-  monatl. 5 GB Highspeed-Volumen       ");
	    			    $banner->setDescriptionV2("<format3>-  Surfen im besten Telekom Netz        ");
    				} elseif (in_array($banner->getRate()->getUid(),$selectedRatesData_S)) {
	    			    $banner->setDescription("<format3>-  monatl. 2,5 GB Highspeed-Volumen       ");
	    			    $banner->setDescriptionV2("<format3>-  Surfen im besten Telekom Netz        ");
    				}
    			} else {
    			    $banner->setDescription("");
    			    $banner->setDescriptionV2("");
    			}
    			$legalTexts = str_split($banner->getRate()->getLegal(),1000);
    			$banner->getRate()->setLegalTexts($legalTexts);
    			$banners[] = $banner;
    		}
    	}	
    	$this->view->assign('banners', $banners);
	    
	}

	/**
	 * action FbChatbotImages
	 *
	 * @return void
	 */
	public function fbChatbotImagesAction() {
	    $aixe = [1029,1030];
	    $ai11 = [976,991,979];
	    $aixr = [838,840,850,852];
	    $aise2g = [1092, 1093, 1094, 1095, 1096, 1097, 1098, 1099, 1100];
        $ai8 = [667,660,668];
        $hp30pro = [902,903,904,905,945,1009];
        $hp40pro = [1073,1074];
        //$hp30pro = [902,903,904,905,945];
        $sgs10 = [885,886,887,892];
        $sgs10e = [888,889,890,891];
        $sgs20u = [1062, 1063, 1049];
        $sga51 = [1042,1043,1044];
        $sgn10 = [952,953];
        $spb = [882];
        $sgt101 = [929];
        $aip102_32_sg = [1004];
	    $selectedDevice = array_merge($aixe,$ai11,$aixr,$aise2g,$ai8,$hp30pro,$hp40pro,$sgs10,$sgs10e,$sgs20u,$sga51,$sgn10,$sgt101,$aip102_32_sg,$spb);	
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$aise2g,$ai8,$hp30pro,$sgs10,$sgs10e,$sgs20u,$sga51,$sgn10);
	    //$selectedDevice = array_merge($aixe,$ai11,$aixr,$ai8,$hp30pro,$sgs10,$sgs10e);	
    	foreach($tmpBanners as $banner) {
    		if (($banner->getRate()->getActive()) && (in_array($banner->getDevice()->getUid(),$selectedDevice)) ) {
    		//if (($banner->getRate()->getActive()) && (in_array($banner->getDevice()->getUid(),$selectedDevice)) && ($banner->getRate()->getIsYoung())) {
    			$banners[] = $banner;
    		}
    	}			
		
		$this->view->assign('banners', $banners);
	}

		
	public function getSelectOptions($objectsArray){
		foreach($objectsArray as $objectName){
			$repositoryName = $objectName.'Repository'; 
			$selectObjects[$objectName] = $this->$repositoryName->findAll();		 
		}
		return $selectObjects;
	}
	
	public function remove_duplicate_devices( $banners ) {
		$devices = array_map( function( $banner ) {
			return $banner->getDevice();
		}, $banners );

		$unique_devices = array_unique( $devices );

		return array_values( array_intersect_key( $banners, $unique_devices ) );
	}


	

}

