<?php
namespace MM\MmDynbanner\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package mm_dynbanner
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class CategoryController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * eyecatcherRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\CategoryRepository
	 * @inject
	 */
	protected $categoryRepository;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		$categories = $this->categoryRepository->findAll();
		$this->view->assign('categories', $categories);
	}

	/**
	 * action show
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Category $category
	 * @return void
	 */
	public function showAction(\MM\MmDynbanner\Domain\Model\Category $category) {
		$this->view->assign('category', $category);
	}

	/**
	 * action new
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Category $newCategory
	 * @dontvalidate $newCategory
	 * @return void
	 */
	public function newAction(\MM\MmDynbanner\Domain\Model\Category $newCategory = NULL) {
		$this->view->assign('newCategory', $newCategory);
	}

	/**
	 * action create
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Category $newCategory
	 * @return void
	 */
	public function createAction(\MM\MmDynbanner\Domain\Model\Category $newCategory) {
		$this->categoryRepository->add($newCategory);
		$this->redirect('list');
	}

	/**
	 * action edit
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Category $category
	 * @return void
	 */
	public function editAction(\MM\MmDynbanner\Domain\Model\Category $category) {
		$this->view->assign('category', $category);
	}

	/**
	 * action update
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Category $category
	 * @return void
	 */
	public function updateAction(\MM\MmDynbanner\Domain\Model\Category $category) {
		$this->categoryRepository->update($category);
		$this->redirect('list');
	}

	/**
	 * action delete
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Category $category
	 * @return void
	 */
	public function deleteAction(\MM\MmDynbanner\Domain\Model\Category $category) {
		$this->categoryRepository->remove($category);
		$this->redirect('list');
	}

}
?>