<?php
namespace MM\MmDynbanner\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package mm_dynbanner
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class DeviceController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * deviceRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\DeviceRepository
	 * @inject
	 */
	protected $deviceRepository;
	
	/**
	 * deviceRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\EyecatcherRepository
	 * @inject
	 */

	protected $eyecatcherRepository;
	/**
	 * deviceRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\EyecatcherColorRepository
	 * @inject
	 */
	protected $eyecatcherColorRepository;

	/**
	 * deviceConditionRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\DeviceConditionRepository
	 * @inject
	 */
	protected $deviceConditionRepository;

	/**
	 * categoryRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\CategoryRepository
	 * @inject
	 */
	protected $categoryRepository;



	/**
	 * action list
	 *
	 * @param array $filter
	 * @return void
	 */
	public function listAction($filter = NULL) {
		//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($args);
		//if ($this->request->hasArgument('search')) {
            $args = $this->request->getArguments('filter');
            $filter = $args['filter']['searchString'];
            $archived = intval($args['filter']['archived']);
		//}
		if ($archived && $filter) {
		    $alldevices = $this->deviceRepository->findAll();
		    $devices = $this->deviceRepository->findByFilter($filter);
		} elseif ($archived && !$filter) {
		    $alldevices = $this->deviceRepository->findAll();
		    $devices = $this->deviceRepository->findAll();
		} elseif (!$archived && $filter) {
		    $alldevices = $this->deviceRepository->findByArchived(0);
		    $devices = $this->deviceRepository->findByFilterArchived($filter);
		} else {
		    $alldevices = $this->deviceRepository->findByArchived(false);
		    $devices = $this->deviceRepository->findByArchived(false);
		}

		$this->view->assign('filter', $args['filter']);    
		$this->view->assign('devices', $devices);
		$this->view->assign('alldevices', $alldevices);
    //$this->view->assign('eyecatcher',array_merge(array('0'=>'Alle'),$this->eyecatcherRepository->findAll()->toArray()));
    //$this->view->assign('eycatcherColor',array_merge(array('0'=>'Alle'),$this->eyecatcherColorRepository->findAll()->toArray()));
	}

	/**
	 * action show
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Device $device
	 * @return void
	 */
	public function showAction(\MM\MmDynbanner\Domain\Model\Device $device) {
		$this->view->assign('device', $device);
    //$this->view->assign('eyecatcher', $this->eyecatcherRepository->findByUid($device->getEyecatcher()));
    //$this->view->assign('eyecatcherColor', $this->eyecatcherColorRepository->findByUid($device->getEyecatcherColor()));

	}

	/**
	 * action new
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Device $newDevice
	 * @dontvalidate $newDevice
	 * @return void
	 */
	public function newAction(\MM\MmDynbanner\Domain\Model\Device $newDevice = NULL) {
		//if ($newDevice == NULL) { // workaround for fluid bug ##5636
		//	$newDevice = t3lib_div::makeInstance('');
		//}
		$this->view->assign('newDevice', $newDevice);
		$selectObjectsArray= array('eyecatcher','eyecatcherColor','deviceCondition','category');
		$this->view->assign('selectObjects', $this->getSelectOptions($selectObjectsArray));
	}

	/**
	 * action create
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Device $newDevice
	 * @return void
	 */
	public function createAction(\MM\MmDynbanner\Domain\Model\Device $newDevice) {
		$this->deviceRepository->add($newDevice);
		$this->redirect('list');
	}

	/**
	 * action edit
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Device $device
	 * @return void
	 */
	public function editAction(\MM\MmDynbanner\Domain\Model\Device $device) {
		$selectObjectsArray= array('eyecatcher','eyecatcherColor','deviceCondition','category');
		$this->view->assign('selectObjects', $this->getSelectOptions($selectObjectsArray));

		$this->view->assign('device', $device);
	}

	/**
	 * action update
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Device $device
	 * @return void
	 */
	public function updateAction(\MM\MmDynbanner\Domain\Model\Device $device) {
		$this->deviceRepository->update($device);
		$this->redirect('list');
	}

	/**
	 * action delete
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Device $device
	 * @return void
	 */
	public function deleteAction(\MM\MmDynbanner\Domain\Model\Device $device) {
		$this->deviceRepository->remove($device);
		$this->redirect('list');
	}

	/**
	 * action image
	 *
	 * @return void
	 */
	public function imageAction() {
		$devices = $this->deviceRepository->findAll();
		$this->view->assign('devices', $devices);
	}

	/**
	 * action FbImage
	 *
	 * @return void
	 */
	public function fbImageAction() {
		$devicesfb = $this->deviceRepository->findAll();
		$this->view->assign('devicesfb', $devicesfb);
	}

	/**
	 * action changeStatus
	 *
	 * @return void
	 */
	public function changeStatusAction(\MM\MmDynbanner\Domain\Model\Device $device) {
	  if ($device->getAvailable()) {
	    $device->setAvailable(false);
	  } else {
	    $device->setAvailable(true);
	  }
		$this->deviceRepository->update($device);
		$this->redirect('list');
	  #  \TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($device->getAvailable());
	}

	/**
	 * action wtdechangeStatus
	 *
	 * @return void
	 */
	public function wtdeChangeStatusAction(\MM\MmDynbanner\Domain\Model\Device $device) {
		//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($device->getWtdeAvailable());
	  if ($device->getWtdeAvailable()) {
	    $device->setWtdeAvailable(false);
	  } else {
	    $device->setWtdeAvailable(true);
	  }
		$this->deviceRepository->update($device);
		//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($device->getWtdeAvailable());
		$this->redirect('list');
	  #  \TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($device->getStdeAvailable());
	}

	
	public function getSelectOptions($objectsArray){
		foreach($objectsArray as $objectName){
			$repositoryName = $objectName.'Repository'; 
			$selectObjects[$objectName] =$this->$repositoryName->findAll();		 
		}
		return $selectObjects;
	}


}
?>