<?php
namespace MM\MmDynbanner\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package mm_dynbanner
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Device extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * Name Original
	 *
	 * @var \string
	 */
	protected $nameOrig;

	/**
	 * Name
	 *
	 * @var \string
	 * @validate NotEmpty
	 */
	protected $name;

	/**
	 * Available
	 *
	 * @var boolean
	 */
	protected $available = FALSE;

	/**
	 * www.telekom.de Available
	 *
	 * @var boolean
	 */
	protected $wtdeAvailable = FALSE;

	/**
	 * Manufacturer
	 *
	 * @var \string
	 */
	protected $manufacturer;

	/**
	 * DeviceId
	 *
	 * @var \string
	 */
	protected $deviceId;

	/**
	 * Headline
	 *
	 * @var \string
	 */
	protected $headline;

	/**
	 * HC Size
	 *
	 * @var \string
	 */
	protected $hcSize;

	/**
	 * Subline
	 *
	 * @var \string
	 */
	protected $subline;

	/**
	 * Eyecatcher Stop
	 *
	 * @var \DateTime
	 */
	protected $eyecStop;

	/**
	 * Eyecatcher Text
	 *
	 * @var \string
	 */
	protected $eyecText;

	/**
	 * Phase 1
	 *
	 * @var \float
	 */
	protected $phase1;

	/**
	 * Phase 2
	 *
	 * @var \float
	 */
	protected $phase2;

	/**
	 * Phase 3
	 *
	 * @var \float
	 */
	protected $phase3;

	/**
	 * CtrButton
	 *
	 * @var \integer
	 */
	protected $ctrButton;

	/**
	 * Image
	 *
	 * @var \string
	 */
	protected $image;

	/**
	 * Webtrekk
	 *
	 * @var \string
	 */
	protected $webtrekk;

	/**
	 * WtShort
	 *
	 * @var \string
	 */
	protected $wtShort;

	/**
	 * Memory
	 *
	 * @var \string
	 */
	protected $memory;

	/**
	 * IsApple
	 *
	 * @var boolean
	 */
	protected $isApple = FALSE;

	/**
	 * Description
	 *
	 * @var \string
	 */
	protected $description;

	/**
	 * Ean
	 *
	 * @var \string
	 */
	protected $ean;

	/**
	 * Color
	 *
	 * @var \string
	 */
	protected $color;

	/**
	 * WtdeWebtrekk
	 *
	 * @var \string
	 */
	protected $wtdeWebtrekk;

	/**
	 * MappingColor
	 *
	 * @var \string
	 */
	protected $mappingColor;

	/**
	 * MappingName
	 *
	 * @var \string
	 */
	protected $mappingName;

	/**
	 * Availability
	 *
	 * @var \string
	 */
	protected $availability;

	/**
	 * Archived
	 *
	 * @var boolean
	 */
	protected $archived = FALSE;

	/**
	 * Eyecatcher
	 *
	 * @var \MM\MmDynbanner\Domain\Model\Eyecatcher
	 * @lazy
	 */
	protected $eyecatcher;

	/**
	 * Eyecatcher Color
	 *
	 * @var \MM\MmDynbanner\Domain\Model\EyecatcherColor
	 * @lazy
	 */
	protected $eyecatcherColor;

	/**
	 * Category
	 *
	 * @var \MM\MmDynbanner\Domain\Model\Category
	 * @lazy
	 */
	protected $category;

	/**
	 * DeviceCondition
	 *
	 * @var \MM\MmDynbanner\Domain\Model\DeviceCondition
	 * @lazy
	 */
	protected $deviceCondition;


	/**
	 * Returns the nameOrig
	 *
	 * @return \string $nameOrig
	 */
	public function getNameOrig() {
		return $this->nameOrig;
	}

	/**
	 * Sets the nameOrig
	 *
	 * @param \string $nameOrig
	 * @return void
	 */
	public function setNameOrig($nameOrig) {
		$this->nameOrig = $nameOrig;
	}

	/**
	 * Returns the name
	 *
	 * @return \string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 *
	 * @param \string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Returns the available
	 *
	 * @return boolean $available
	 */
	public function getAvailable() {
		return $this->available;
	}

	/**
	 * Sets the available
	 *
	 * @param boolean $available
	 * @return void
	 */
	public function setAvailable($available) {
		$this->available = $available;
	}

	/**
	 * Returns the boolean state of available
	 *
	 * @return boolean
	 */
	public function isAvailable() {
		return $this->getAvailable();
	}

	/**
	 * Returns the wtdeAvailable
	 *
	 * @return boolean $wtdeAvailable
	 */
	public function getWtdeAvailable() {
		return $this->wtdeAvailable;
	}

	/**
	 * Sets the wtdeAvailable
	 *
	 * @param boolean $wtdeAvailable
	 * @return void
	 */
	public function setWtdeAvailable($wtdeAvailable) {
		$this->wtdeAvailable = $wtdeAvailable;
	}

	/**
	 * Returns the boolean state of wtdeAvailable
	 *
	 * @return boolean
	 */
	public function isWtdeAvailable() {
		return $this->getWtdeAvailable();
	}

	/**
	 * Returns the manufacturer
	 *
	 * @return \string $manufacturer
	 */
	public function getManufacturer() {
		return $this->manufacturer;
	}

	/**
	 * Sets the manufacturer
	 *
	 * @param \string $manufacturer
	 * @return void
	 */
	public function setManufacturer($manufacturer) {
		$this->manufacturer = $manufacturer;
	}

	/**
	 * Returns the deviceId
	 *
	 * @return \string $deviceId
	 */
	public function getDeviceId() {
		return $this->deviceId;
	}

	/**
	 * Sets the deviceID
	 *
	 * @param \string $deviceId
	 * @return void
	 */
	public function setDeviceId($deviceId) {
		$this->deviceId = $deviceId;
	}

	/**
	 * Returns the headline
	 *
	 * @return \string $headline
	 */
	public function getHeadline() {
		return rtrim($this->headline);
	}

	/**
	 * Sets the headline
	 *
	 * @param \string $headline
	 * @return void
	 */
	public function setHeadline($headline) {
		$this->headline = rtrim($headline);
	}

	/**
	 * Returns the hcSize
	 *
	 * @return \string $hcSize
	 */
	public function getHcSize() {
		return $this->hcSize;
	}

	/**
	 * Sets the hcSize
	 *
	 * @param \string $hcSize
	 * @return void
	 */
	public function setHcSize($hcSize) {
		$this->hcSize = $hcSize;
	}

	/**
	 * Returns the subline
	 *
	 * @return \string $subline
	 */
	public function getSubline() {
		return $this->subline;
	}

	/**
	 * Sets the subline
	 *
	 * @param \string $subline
	 * @return void
	 */
	public function setSubline($subline) {
		$this->subline = $subline;
	}

	/**
	 * Returns the eyecStop
	 *
	 * @return \DateTime $eyecStop
	 */
	public function getEyecStop() {
		return $this->eyecStop;
	}

	/**
	 * Sets the eyecStop
	 *
	 * @param \DateTime $eyecStop
	 * @return void
	 */
	public function setEyecStop($eyecStop) {
		$this->eyecStop = $eyecStop;
	}

	/**
	 * Returns the eyecText
	 *
	 * @return \string $eyecText
	 */
	public function getEyecText() {
		return $this->eyecText;
	}

	/**
	 * Sets the eyecText
	 *
	 * @param \string $eyecText
	 * @return void
	 */
	public function setEyecText($eyecText) {
		$this->eyecText = $eyecText;
	}

	/**
	 * Returns the phase1
	 *
	 * @return \float $phase1
	 */
	public function getPhase1() {
		return $this->phase1;
	}

	/**
	 * Sets the phase1
	 *
	 * @param \float $phase1
	 * @return void
	 */
	public function setPhase1($phase1) {
		$this->phase1 = $phase1;
	}

	/**
	 * Returns the phase2
	 *
	 * @return \float $phase2
	 */
	public function getPhase2() {
		return $this->phase2;
	}

	/**
	 * Sets the phase2
	 *
	 * @param \float $phase2
	 * @return void
	 */
	public function setPhase2($phase2) {
		$this->phase2 = $phase2;
	}

	/**
	 * Returns the phase3
	 *
	 * @return \float $phase3
	 */
	public function getPhase3() {
		return $this->phase3;
	}

	/**
	 * Sets the phase3
	 *
	 * @param \float $phase3
	 * @return void
	 */
	public function setPhase3($phase3) {
		$this->phase3 = $phase3;
	}

	/**
	 * Returns the ctrButton
	 *
	 * @return \integer $ctrButton
	 */
	public function getCtrButton() {
		return $this->ctrButton;
	}

	/**
	 * Sets the ctrButton
	 *
	 * @param \integer $ctrButton
	 * @return void
	 */
	public function setCtrButton($ctrButton) {
		$this->ctrButton = $ctrButton;
	}

	/**
	 * Returns the image
	 *
	 * @return \string $image
	 */
	public function getImage() {
		return $this->image;
	}

	/**
	 * Sets the image
	 *
	 * @param \string $image
	 * @return void
	 */
	public function setImage($image) {
		$this->image = $image;
	}

	/**
	 * Returns the webtrekk
	 *
	 * @return \string $webtrekk
	 */
	public function getWebtrekk() {
		return $this->webtrekk;
	}

	/**
	 * Sets the webtrekk
	 *
	 * @param \string $webtrekk
	 * @return void
	 */
	public function setWebtrekk($webtrekk) {
		$this->webtrekk = $webtrekk;
	}

	/**
	 * Returns the wtShort
	 *
	 * @return \string $wtShort
	 */
	public function getWtShort() {
		return $this->wtShort;
	}

	/**
	 * Sets the wtShort
	 *
	 * @param \string $wtShort
	 * @return void
	 */
	public function setWtShort($wtShort) {
		$this->wtShort = $wtShort;
	}

	/**
	 * Returns the memory
	 *
	 * @return \integer $memory
	 */
	public function getMemory() {
		return $this->memory;
	}

	/**
	 * Sets the memory
	 *
	 * @param \integer $memory
	 * @return void
	 */
	public function setMemory($memory) {
		$this->memory = $memory;
	}

	/**
	 * Returns the isApple
	 *
	 * @return boolean $isApple
	 */
	public function getIsApple() {
		return $this->isApple;
	}

	/**
	 * Sets the isApple
	 *
	 * @param boolean $isApple
	 * @return void
	 */
	public function setIsApple($isApple) {
		$this->isApple = $isApple;
	}

	/**
	 * Returns the boolean state of isApple
	 *
	 * @return boolean
	 */
	public function isIsApple() {
		return $this->getIsApple();
	}

	/**
	 * Returns the description
	 *
	 * @return \string $description
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * Sets the description
	 *
	 * @param \string $description
	 * @return void
	 */
	public function setDescription($description) {
		$this->description = $description;
	}

	/**
	 * Returns the ean
	 *
	 * @return \string $ean
	 */
	public function getEan() {
		return $this->ean;
	}

	/**
	 * Sets the ean
	 *
	 * @param \string $ean
	 * @return void
	 */
	public function setEan($ean) {
		$this->ean = $ean;
	}

	/**
	 * Returns the color
	 *
	 * @return \string $color
	 */
	public function getColor() {
		return $this->color;
	}

	/**
	 * Sets the color
	 *
	 * @param \string $color
	 * @return void
	 */
	public function setColor($color) {
		$this->color = $color;
	}

	/**
	 * Returns the wtdeWebtrekk
	 *
	 * @return \string $wtdeWebtrekk
	 */
	public function getWtdeWebtrekk() {
		return $this->wtdeWebtrekk;
	}

	/**
	 * Sets the wtdeWebtrekk
	 *
	 * @param \string $wtdeWebtrekk
	 * @return void
	 */
	public function setWtdeWebtrekk($wtdeWebtrekk) {
		$this->wtdeWebtrekk = $wtdeWebtrekk;
	}

	/**
	 * Returns the mappingColor
	 *
	 * @return \string $mappingColor
	 */
	public function getMappingColor() {
		return $this->mappingColor;
	}

	/**
	 * Sets the mappingColor
	 *
	 * @param \string $mappingColor
	 * @return void
	 */
	public function setMappingColor($mappingColor) {
		$this->mappingColor = $mappingColor;
	}

	/**
	 * Returns the mappingName
	 *
	 * @return \string $mappingName
	 */
	public function getMappingName() {
		return $this->mappingName;
	}

	/**
	 * Sets the mappingName
	 *
	 * @param \string $mappingName
	 * @return void
	 */
	public function setMappingName($mappingName) {
		$this->mappingName = $mappingName;
	}

	/**
	 * Returns the availability
	 *
	 * @return \string $availability
	 */
	public function getAvailability() {
		return $this->availability;
	}

	/**
	 * Sets the availability
	 *
	 * @param \string $availability
	 * @return void
	 */
	public function setAvailability($availability) {
		$this->availability = $availability;
	}

	/**
	 * Returns the Archived
	 *
	 * @return boolean $archived
	 */
	public function getArchived() {
		return $this->archived;
	}

	/**
	 * Sets the Archived
	 *
	 * @param boolean $archived
	 * @return void
	 */
	public function setArchived($archived) {
		$this->archived = $archived;
	}

	/**
	 * Returns the boolean state of Archived
	 *
	 * @return boolean
	 */
	public function isArchived() {
		return $this->getArchived();
	}


	/**
	 * Returns the eyecatcher
	 *
	 * @return \MM\MmDynbanner\Domain\Model\Eyecatcher $eyecatcher
	 */
	public function getEyecatcher() {
		return $this->eyecatcher;
	}

	/**
	 * Sets the eyecatcher
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Eyecatcher $eyecatcher
	 * @return void
	 */
	public function setEyecatcher(\MM\MmDynbanner\Domain\Model\Eyecatcher $eyecatcher =NULL) {
		$this->eyecatcher = $eyecatcher;
	}

	/**
	 * Returns the eyecatcherColor
	 *
	 * @return \MM\MmDynbanner\Domain\Model\EyecatcherColor $eyecatcherColor
	 */
	public function getEyecatcherColor() {
		return $this->eyecatcherColor;
	}

	/**
	 * Sets the eyecatcherColor
	 *
	 * @param \MM\MmDynbanner\Domain\Model\EyecatcherColor $eyecatcherColor
	 * @return void
	 */
	public function setEyecatcherColor(\MM\MmDynbanner\Domain\Model\EyecatcherColor $eyecatcherColor =NULL) {
		$this->eyecatcherColor = $eyecatcherColor;
	}

	/**
	 * Returns the deviceCondition
	 *
	 * @return \MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition
	 */
	public function getDeviceCondition() {
		return $this->deviceCondition;
	}

	/**
	 * Sets the deviceCondition
	 *
	 * @param \MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition
	 * @return void
	 */
	public function setDeviceCondition(\MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition =NULL) {
		$this->deviceCondition = $deviceCondition;
	}

	/**
	 * Returns the category
	 *
	 * @return \MM\MmDynbanner\Domain\Model\Category $category
	 */
	public function getCategory() {
		return $this->category;
	}

	/**
	 * Sets the category
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Category $category
	 * @return void
	 */
	public function setCategory(\MM\MmDynbanner\Domain\Model\Category $category =NULL) {
		$this->category = $category;
	}


}
?>