<?php
namespace MM\MmDynbanner\ViewHelpers;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * View helper for str_replace
 *
 * = Examples =
 * <mm:stringReplace string="Foo Bar" searchFor="Bar" replaceWith="Foo" />
 * {mm:stringReplace(string='Foo Bar',searchFor='Bar',replaceWith='Foo')}
 *
 * 
 */

/**
 *
 *
 * @package mm_dynbanner
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
 
class StringReplaceViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper {

	/**
	 * Execute the string_replace
	 *
 * Replace the $searchFor string with $replaceString in $string
	 *
	 * @param $string string
	 * @param $searchFor string
	 * @param $replaceWith string
	 * @return string
	 */
	public function render($string, $searchFor, $replaceWith) {
		return str_replace($searchFor, $replaceWith, $string);
	}

}
