<?php

namespace MM\MmDynbanner\Tests;
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \MM\MmDynbanner\Domain\Model\Banner.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Dynbanner
 *
 * @author Alexander Malicke <info@millemedia.de>
 */
class BannerTest extends \TYPO3\CMS\Extbase\Tests\Unit\BaseTestCase {
	/**
	 * @var \MM\MmDynbanner\Domain\Model\Banner
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new \MM\MmDynbanner\Domain\Model\Banner();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getProductIdReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setProductIdForStringSetsProductId() { 
		$this->fixture->setProductId('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getProductId()
		);
	}
	
	/**
	 * @test
	 */
	public function getHeadlineReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setHeadlineForStringSetsHeadline() { 
		$this->fixture->setHeadline('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getHeadline()
		);
	}
	
	/**
	 * @test
	 */
	public function getHcSizeReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getHcSize()
		);
	}

	/**
	 * @test
	 */
	public function setHcSizeForIntegerSetsHcSize() { 
		$this->fixture->setHcSize(12);

		$this->assertSame(
			12,
			$this->fixture->getHcSize()
		);
	}
	
	/**
	 * @test
	 */
	public function getSublineReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setSublineForStringSetsSubline() { 
		$this->fixture->setSubline('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getSubline()
		);
	}
	
	/**
	 * @test
	 */
	public function getEyecStartReturnsInitialValueForDateTime() { }

	/**
	 * @test
	 */
	public function setEyecStartForDateTimeSetsEyecStart() { }
	
	/**
	 * @test
	 */
	public function getEyecTextReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setEyecTextForStringSetsEyecText() { 
		$this->fixture->setEyecText('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getEyecText()
		);
	}
	
	/**
	 * @test
	 */
	public function getPhase1ReturnsInitialValueForFloat() { 
		$this->assertSame(
			0.0,
			$this->fixture->getPhase1()
		);
	}

	/**
	 * @test
	 */
	public function setPhase1ForFloatSetsPhase1() { 
		$this->fixture->setPhase1(3.14159265);

		$this->assertSame(
			3.14159265,
			$this->fixture->getPhase1()
		);
	}
	
	/**
	 * @test
	 */
	public function getPhase2ReturnsInitialValueForFloat() { 
		$this->assertSame(
			0.0,
			$this->fixture->getPhase2()
		);
	}

	/**
	 * @test
	 */
	public function setPhase2ForFloatSetsPhase2() { 
		$this->fixture->setPhase2(3.14159265);

		$this->assertSame(
			3.14159265,
			$this->fixture->getPhase2()
		);
	}
	
	/**
	 * @test
	 */
	public function getPhase3ReturnsInitialValueForFloat() { 
		$this->assertSame(
			0.0,
			$this->fixture->getPhase3()
		);
	}

	/**
	 * @test
	 */
	public function setPhase3ForFloatSetsPhase3() { 
		$this->fixture->setPhase3(3.14159265);

		$this->assertSame(
			3.14159265,
			$this->fixture->getPhase3()
		);
	}
	
	/**
	 * @test
	 */
	public function getLinkReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setLinkForStringSetsLink() { 
		$this->fixture->setLink('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getLink()
		);
	}
	
	/**
	 * @test
	 */
	public function getWebtrekkReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setWebtrekkForStringSetsWebtrekk() { 
		$this->fixture->setWebtrekk('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getWebtrekk()
		);
	}
	
	/**
	 * @test
	 */
	public function getCp17ReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setCp17ForStringSetsCp17() { 
		$this->fixture->setCp17('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getCp17()
		);
	}
	
	/**
	 * @test
	 */
	public function getApprovedIdReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getApprovedId()
		);
	}

	/**
	 * @test
	 */
	public function setApprovedIdForIntegerSetsApprovedId() { 
		$this->fixture->setApprovedId(12);

		$this->assertSame(
			12,
			$this->fixture->getApprovedId()
		);
	}
	
}
?>