<?php

namespace MM\MmDynbanner\Tests;
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \MM\MmDynbanner\Domain\Model\Campaign.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Dynbanner
 *
 * @author Alexander Malicke <info@millemedia.de>
 */
class CampaignTest extends \TYPO3\CMS\Extbase\Tests\Unit\BaseTestCase {
	/**
	 * @var \MM\MmDynbanner\Domain\Model\Campaign
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new \MM\MmDynbanner\Domain\Model\Campaign();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getNameReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setNameForStringSetsName() { 
		$this->fixture->setName('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getName()
		);
	}
	
	/**
	 * @test
	 */
	public function getOrderDateReturnsInitialValueForDateTime() { }

	/**
	 * @test
	 */
	public function setOrderDateForDateTimeSetsOrderDate() { }
	
	/**
	 * @test
	 */
	public function getClientNameReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setClientNameForStringSetsClientName() { 
		$this->fixture->setClientName('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getClientName()
		);
	}
	
	/**
	 * @test
	 */
	public function getBannersReturnsInitialValueForBanner() { 
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->fixture->getBanners()
		);
	}

	/**
	 * @test
	 */
	public function setBannersForObjectStorageContainingBannerSetsBanners() { 
		$banner = new \MM\MmDynbanner\Domain\Model\Banner();
		$objectStorageHoldingExactlyOneBanners = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$objectStorageHoldingExactlyOneBanners->attach($banner);
		$this->fixture->setBanners($objectStorageHoldingExactlyOneBanners);

		$this->assertSame(
			$objectStorageHoldingExactlyOneBanners,
			$this->fixture->getBanners()
		);
	}
	
	/**
	 * @test
	 */
	public function addBannerToObjectStorageHoldingBanners() {
		$banner = new \MM\MmDynbanner\Domain\Model\Banner();
		$objectStorageHoldingExactlyOneBanner = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$objectStorageHoldingExactlyOneBanner->attach($banner);
		$this->fixture->addBanner($banner);

		$this->assertEquals(
			$objectStorageHoldingExactlyOneBanner,
			$this->fixture->getBanners()
		);
	}

	/**
	 * @test
	 */
	public function removeBannerFromObjectStorageHoldingBanners() {
		$banner = new \MM\MmDynbanner\Domain\Model\Banner();
		$localObjectStorage = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$localObjectStorage->attach($banner);
		$localObjectStorage->detach($banner);
		$this->fixture->addBanner($banner);
		$this->fixture->removeBanner($banner);

		$this->assertEquals(
			$localObjectStorage,
			$this->fixture->getBanners()
		);
	}
	
}
?>