<?php
namespace MM\MmDynbanner\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package mm_dynbanner
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class DeviceConditionController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * deviceConditionRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\DeviceConditionRepository
	 * @inject
	 */
	protected $deviceConditionRepository;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		$deviceConditions = $this->deviceConditionRepository->findAll();
		$this->view->assign('deviceConditions', $deviceConditions);
		#\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($deviceConditions);
	}

	/**
	 * action show
	 *
	 * @param \MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition
	 * @return void
	 */
	public function showAction(\MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition) {
		$this->view->assign('deviceCondition', $deviceCondition);
		
	}

	/**
	 * action new
	 *
	 * @param \Mm\Mmdynbanner\Domain\Model\DeviceCondition $newDeviceCondition
	 * @dontvalidate $newDeviceCondition
	 * @return void
	 */
	public function newAction(\MM\MmDynbanner\Domain\Model\DeviceCondition $newDeviceCondition = NULL) {
		$this->view->assign('newDeviceCondition', $newDeviceCondition);
		
	}

	/**
	 * action create
	 *
	 * @param \MM\MmDynbanner\Domain\Model\DeviceCondition $newDeviceCondition
	 * @return void
	 */
	public function createAction(\MM\MmDynbanner\Domain\Model\DeviceCondition $newDeviceCondition) {
		$this->deviceConditionRepository->add($newDeviceCondition);
		$this->flashMessageContainer->add('Your new Condition was created.');
		$this->redirect('list');
		#\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($newDeviceCondition);
	}

	/**
	 * action edit
	 *
	 * @param \MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition
	 * @return void
	 */
	public function editAction(\MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition) {
		$this->view->assign('condition', $condition);
	}

	/**
	 * action update
	 *
	 * @param \MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition
	 * @return void
	 */
	public function updateAction(\MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition) {
		$this->deviceConditionRepository->update($deviceCondition);
		$this->flashMessageContainer->add('Your Condition was updated.');
		$this->redirect('list');
	}

	/**
	 * action delete
	 *
	 * @param \MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition
	 * @return void
	 */
	public function deleteAction(\MM\MmDynbanner\Domain\Model\DeviceCondition $deviceCondition) {
		$this->deviceConditionRepository->remove($deviceCondition);
		$this->flashMessageContainer->add('Your Condition was removed.');
		$this->redirect('list');
	}

}
?>