<?php
namespace MM\MmDynbanner\Controller;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Alexander Malicke <info@millemedia.de>, Millemedia
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * TopsellerController
 */
class TopsellerController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * topsellerRepository
	 *
	 * @var \MM\MmDynbanner\Domain\Repository\TopsellerRepository
	 * @inject
	 */
	protected $topsellerRepository = NULL;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		$topsellers = $this->topsellerRepository->findAll();
		$this->view->assign('topsellers', $topsellers);
	}

	/**
	 * action show
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Topseller $topseller
	 * @return void
	 */
	public function showAction(\MM\MmDynbanner\Domain\Model\Topseller $topseller) {
		$this->view->assign('topseller', $topseller);
	}

	/**
	 * action new
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Topseller $newTopseller
	 * @ignorevalidation $newTopseller
	 * @return void
	 */
	public function newAction(\MM\MmDynbanner\Domain\Model\Topseller $newTopseller = NULL) {
		$this->view->assign('newTopseller', $newTopseller);
	}

	/**
	 * action create
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Topseller $newTopseller
	 * @return void
	 */
	public function createAction(\MM\MmDynbanner\Domain\Model\Topseller $newTopseller) {
		$this->addFlashMessage('The object was created. Please be aware that this action is publicly accessible unless you implement an access check. See <a href="http://wiki.typo3.org/T3Doc/Extension_Builder/Using_the_Extension_Builder#1._Model_the_domain" target="_blank">Wiki</a>', '', \TYPO3\CMS\Core\Messaging\AbstractMessage::ERROR);
		$this->topsellerRepository->add($newTopseller);
		$this->redirect('list');
	}

	/**
	 * action edit
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Topseller $topseller
	 * @ignorevalidation $topseller
	 * @return void
	 */
	public function editAction(\MM\MmDynbanner\Domain\Model\Topseller $topseller) {
		$this->view->assign('topseller', $topseller);
	}

	/**
	 * action update
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Topseller $topseller
	 * @return void
	 */
	public function updateAction(\MM\MmDynbanner\Domain\Model\Topseller $topseller) {
		$this->addFlashMessage('The object was updated. Please be aware that this action is publicly accessible unless you implement an access check. See <a href="http://wiki.typo3.org/T3Doc/Extension_Builder/Using_the_Extension_Builder#1._Model_the_domain" target="_blank">Wiki</a>', '', \TYPO3\CMS\Core\Messaging\AbstractMessage::ERROR);
		$this->topsellerRepository->update($topseller);
		$this->redirect('list');
	}

	/**
	 * action delete
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Topseller $topseller
	 * @return void
	 */
	public function deleteAction(\MM\MmDynbanner\Domain\Model\Topseller $topseller) {
		$this->addFlashMessage('The object was deleted. Please be aware that this action is publicly accessible unless you implement an access check. See <a href="http://wiki.typo3.org/T3Doc/Extension_Builder/Using_the_Extension_Builder#1._Model_the_domain" target="_blank">Wiki</a>', '', \TYPO3\CMS\Core\Messaging\AbstractMessage::ERROR);
		$this->topsellerRepository->remove($topseller);
		$this->redirect('list');
	}

}