<?php
namespace MM\MmDynbanner\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Malicke <info@millemedia.de>, Millemedia
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package mm_dynbanner
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Publisher extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * Name
	 *
	 * @var \string
	 * @validate NotEmpty
	 */
	protected $name;

	/**
	 * Loop Number
	 *
	 * @var \integer
	 */
	protected $loopNum;

	/**
	 * Border
	 *
	 * @var boolean
	 */
	protected $border = FALSE;

	/**
	 * Feed ID
	 *
	 * @var \integer
	 */
	protected $feedId;

	/**
	 * KKID
	 *
	 * @var \MM\MmDynbanner\Domain\Model\Kkid
	 */
	protected $kkid;

	/**
	 * Returns the name
	 *
	 * @return \string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 *
	 * @param \string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Returns the loopNum
	 *
	 * @return \integer $loopNum
	 */
	public function getLoopNum() {
		return $this->loopNum;
	}

	/**
	 * Sets the loopNum
	 *
	 * @param \integer $loopNum
	 * @return void
	 */
	public function setLoopNum($loopNum) {
		$this->loopNum = $loopNum;
	}

	/**
	 * Returns the border
	 *
	 * @return boolean $border
	 */
	public function getBorder() {
		return $this->border;
	}

	/**
	 * Sets the border
	 *
	 * @param boolean $border
	 * @return void
	 */
	public function setBorder($border) {
		$this->border = $border;
	}

	/**
	 * Returns the boolean state of border
	 *
	 * @return boolean
	 */
	public function isBorder() {
		return $this->getBorder();
	}

	/**
	 * Returns the feedId
	 *
	 * @return \integer $feedId
	 */
	public function getFeedId() {
		return $this->feedId;
	}

	/**
	 * Sets the feedId
	 *
	 * @param \integer $feedId
	 * @return void
	 */
	public function setFeedId($feedId) {
		$this->feedId = $feedId;
	}

	/**
	 * Returns the kkid
	 *
	 * @return \MM\MmDynbanner\Domain\Model\Kkid $kkid
	 */
	public function getKkid() {
		return $this->kkid;
	}

	/**
	 * Sets the kkid
	 *
	 * @param \MM\MmDynbanner\Domain\Model\Kkid $kkid
	 * @return void
	 */
	public function setKkid(\MM\MmDynbanner\Domain\Model\Kkid $kkid) {
		$this->kkid = $kkid;
	}

}
?>